﻿Imports System.IO
Imports System.Drawing
Imports System.Data.OleDb

Partial Class ChangeStyle
    Inherits System.Web.UI.Page
    Dim s As String

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("CoCode") = String.Empty Then
            Response.Redirect("Login.aspx")
        ElseIf StrComp(Session("EmpId"), "Admin") <> 0 Then
            Response.Redirect("EmpLogin.aspx")
        End If
        HttpContext.Current.Response.Cache.SetExpires(DateTime.UtcNow.AddDays(-1))
        HttpContext.Current.Response.Cache.SetValidUntilExpires(False)
        HttpContext.Current.Response.Cache.SetRevalidation(HttpCacheRevalidation.AllCaches)
        HttpContext.Current.Response.Cache.SetCacheability(HttpCacheability.NoCache)
        HttpContext.Current.Response.Cache.SetNoStore()
        If Page.IsPostBack <> True Then
            Dim str() As String = loadStyle()
            myhexcode.Value = str(0)
            myText.Value = str(1)
            Textboxcolor.Value = str(2)
            txtcontentcolor.Value = str(3)
            txtFontColor.Value = str(4)
            txtpop.Value = str(5)
            txtHFcolor.Value = str(6)
            txtFontSize.Value = str(7)
        End If

    End Sub

    Function loadStyle() As String()
        Dim str() As String = New String() {7}
        Try
            'Dim fs As FileStream = New FileStream(Session("RootPath") & "\ExtStyle.txt", FileMode.Open, FileAccess.ReadWrite)
            'Dim sr As StreamReader = New StreamReader(fs)
            'str = sr.ReadToEnd().Replace("#", "").Split(",")
            'sr.Close()
            'fs.Close()
            str = General.GetData(Session("StyleCon"), "select CurrentStyle from stylesheet").Split(",")
        Catch ex As Exception
        End Try
        Return str
    End Function
    Private Sub WriteStyle(ByVal s1 As String)
        Try
            'Dim fs1 As FileStream = New FileStream(Session("RootPath") & "\ExtStyle.txt", FileMode.Create, FileAccess.ReadWrite)
            'Dim sw As StreamWriter = New StreamWriter(fs1)
            'sw.WriteLine(s1)
            'sw.Flush()
            'sw.Close()
            'fs1.Close()
            General.ExecuteDML(Session("StyleCon"), "update  stylesheet set CurrentStyle='" & s1 & "'")
        Catch ex As Exception
        End Try
    End Sub
    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnApply.Click
        Dim s1() As String = loadStyle()
        'Dim fs As FileStream = New FileStream(Session("RootPath") & "\StyleSheet2.css", FileMode.Open, FileAccess.ReadWrite)
        'Dim sr As StreamReader = New StreamReader(fs)
        's = sr.ReadToEnd()
        s = General.GetData(Session("StyleCon"), "select CustomizeStyle from stylesheet")
        s = s.Replace("#" & s1(0).Trim(), IIf(myhexcode.Value = "", "#" & s1(0), "#" & myhexcode.Value))
        s = s.Replace("#" & s1(1).Trim(), IIf(myText.Value = "", "#" & s1(1), "#" & myText.Value))
        s = s.Replace("#" & s1(2).Trim(), IIf(Textboxcolor.Value = "", "#" & s1(2), "#" & Textboxcolor.Value))
        s = s.Replace("#" & s1(3).Trim(), IIf(txtcontentcolor.Value = "", "#" & s1(3), "#" & txtcontentcolor.Value))
        s = s.Replace("#" & s1(4).Trim(), IIf(txtFontColor.Value = "", "#" & s1(4), "#" & txtFontColor.Value))
        s = s.Replace("#" & s1(5).Trim(), IIf(txtpop.Value = "", "#" & s1(5), "#" & txtpop.Value))
        s = s.Replace("#" & s1(6).Trim(), IIf(txtHFcolor.Value = "", "#" & s1(6), "#" & txtHFcolor.Value))
        s = s.Replace(s1(7).Trim(), IIf(txtFontSize.Value = "", s1(7), txtFontSize.Value))
        General.ExecuteDML(Session("StyleCon"), "update  stylesheet set CustomizeStyle='" & s & "'")
        'sr.Close()
        'fs.Close()
        'Dim fs1 As FileStream = New FileStream(Session("RootPath") & "\StyleSheet2.css", FileMode.Create, FileAccess.ReadWrite)
        'Dim sw As StreamWriter = New StreamWriter(fs1)
        'sw.WriteLine(s)
        'sw.Flush()
        'sw.Close()
        'fs1.Close()
        ColorImg(txtHFcolor.Value)
        Dim s2 As String
        s2 = myhexcode.Value + "," + myText.Value + "," + Textboxcolor.Value + "," + txtcontentcolor.Value + "," + txtFontColor.Value + "," + txtpop.Value + "," + txtHFcolor.Value + "," + txtFontSize.Value

        WriteStyle(s2)
    End Sub
    Private Sub SaveDefault()
        General.ExecuteDML(Session("StyleCon"), "update  stylesheet set CustomizeStyle=OriginStyle,CustomizeFont=OtiginFont")
        'Dim s2 As String = ""
        'Dim fs As FileStream = New FileStream(Server.MapPath(".") & "\StyleSheet2.css", FileMode.Open, FileAccess.ReadWrite)
        'Dim sr As StreamReader = New StreamReader(fs)
        's2 = sr.ReadToEnd()
        'sr.Close()
        'fs.Close()
        'Dim fs1 As FileStream = New FileStream(Session("RootPath") & "\StyleSheet2.css", FileMode.Create, FileAccess.ReadWrite)
        'Dim sw As StreamWriter = New StreamWriter(fs1)
        'sw.WriteLine(s2)
        'sw.Flush()
        'sw.Close()
        'fs1.Close()
        WriteStyle("C0C0C0,E0E0E0,ECE9D8,666666,1d3f65,8080FF,FFFFFF,11.2")
        Dim str() As String = loadStyle()
        myhexcode.Value = str(0)
        myText.Value = str(1)
        Textboxcolor.Value = str(2)
        txtcontentcolor.Value = str(3)
        txtFontColor.Value = str(4)
        txtpop.Value = str(5)
        txtHFcolor.Value = str(6)
        txtFontSize.Value = str(7)
        ' File.Copy(Server.MapPath(".") & "\IMAGES\rp1.png", Session("RootPath") & "\rp1.png", True)
    End Sub
    Protected Sub btnRestore_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRestore.Click
        SaveDefault()
    End Sub
    'Protected Sub ColorImg(ByVal strcolor As String)
    '    Dim bmp As Bitmap = DirectCast(Bitmap.FromFile(Server.MapPath(".") & "\IMAGES\rp1.png"), Bitmap)
    '    For x As Integer = 0 To bmp.Width - 1
    '        For y As Integer = 0 To bmp.Height - 1
    '            If bmp.GetPixel(x, y).ToString().Contains("Color [A=255") Then
    '                bmp.SetPixel(x, y, ColorTranslator.FromHtml("#" & strcolor))
    '            End If
    '        Next
    '    Next
    '    bmp.Save(Session("RootPath") & "\rp1.png")
    'End Sub
    Protected Sub ColorImg(ByVal strcolor As String)
        Dim con As New OleDbConnection(Session("StyleCon"))
        Dim cmd As New OleDbCommand("select CustomizeFont from stylesheet", con)
        con.Open()
        Dim arrImg() As Byte = CType(cmd.ExecuteScalar(), Byte())
        con.Close()

        Dim ic As New ImageConverter()
        Dim img As Image = DirectCast(ic.ConvertFrom(arrImg), Image)
        Dim bmp As Bitmap = New Bitmap(img)
        For x As Integer = 0 To bmp.Width - 1
            For y As Integer = 0 To bmp.Height - 1
                If bmp.GetPixel(x, y).ToString().Contains("Color [A=255") Then
                    bmp.SetPixel(x, y, ColorTranslator.FromHtml("#" & strcolor))
                End If
            Next
        Next
        Dim stream As New System.IO.MemoryStream()
        bmp.Save(stream, System.Drawing.Imaging.ImageFormat.Png)
        stream.Position = 0
        Dim data As Byte() = New Byte(stream.Length - 1) {}
        stream.Read(data, 0, stream.Length)

        Dim conn As String = Session("StyleCon")
        Dim connection As New OleDbConnection(conn)

        connection.Open()
        Dim sql As String = "update stylesheet set CustomizeFont=@OtiginFont"
        Dim cmdsave As OleDbCommand = New OleDbCommand(sql, connection)
        cmdsave.Parameters.AddWithValue("@OtiginFont", data)
        cmdsave.ExecuteScalar()
        connection.Close()

    End Sub
    
End Class
