﻿Imports System.Data
Imports System.Data.OleDb
Imports System.Drawing
Partial Class ContacUs
    Inherits System.Web.UI.Page
    Dim strconn As String
    Dim strEmployeeId As String
    Dim g As General
    Private Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit
        Try
            If Session("EmpId").ToString() <> "Admin" Then
                Me.MasterPageFile = "MasterPage.master"
                'Ver 3.2-E398 Start
                Master.FindControl("imgPDF").Visible = False
                'Ver 3.2-E398 end
            End If
        Catch ex As Exception
        End Try
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("CoCode") = String.Empty Then
            Response.Redirect("Login.aspx")
        ElseIf StrComp(Session("EmpId"), "Admin") <> 0 Then
                tbldtl.Visible = False
        End If
        trset.Visible = False
        strconn = "Provider=Microsoft.Jet.OLEDB.4.0;data source=" & Server.MapPath(".") & "\Emails.mdb;jet OLEDB:Database Password=Ffcs"
        If Not Page.IsPostBack Then
            IsTableExist()
            If ExicuteDML("update ContactUs  set FY=FY where fy is null or fy=''") > 0 Then
                btnctrl.Visible = False
                trset.Visible = True
                BindData("'' or FY is null")
            Else
                BindData("'" & Session("Period") & "'")
            End If

        End If

        btnModify.Attributes.Add("onclick", "enbCtrl();")
        btncencel.Attributes.Add("onclick", "disCtrl();ClearCtrl();")
        GridView1.Columns(6).ItemStyle.CssClass = "hidden"
        GridView1.Columns(6).HeaderStyle.CssClass = "hidden"
        GridView1.Columns(6).FooterStyle.CssClass = "hidden"
        If StrComp(Session("EmpId"), "Admin") <> 0 Then
            ColorRow()
        End If

    End Sub
    Private Sub IsTableExist()
        Try
            Dim ds As DataSet = New DataSet()
            Dim da As OleDbDataAdapter = New OleDbDataAdapter("select top 1 * from Contactus", strconn)
            da.Fill(ds)
        Catch ex As Exception
            ExicuteDML("create table ContactUs (SrNo autoincrement,Empcode text(20),EmpName text(255),TelNo number,MobileNo number,Email text(255),CompanyCode text(20) )")
        End Try
        Try
            ExicuteDML("alter table ContactUs add column FY text(10)")
        Catch ex As Exception

        End Try
    End Sub
    Function Data(ByVal strQuery As String) As DataSet
        Dim ds As DataSet = New DataSet()
        Dim da As OleDbDataAdapter = New OleDbDataAdapter(strQuery, strconn)
        da.Fill(ds)
        Return ds
    End Function
    Protected Function ExicuteDML(ByVal strQuery As String) As Integer
        'ver 3.2-CRK Start
        'Dim i As Integer = 0
        'Try
        '    Dim con As OleDbConnection = New OleDbConnection(strconn)
        '    Dim cmd As OleDbCommand = New OleDbCommand(strQuery, con)
        '    con.Open()
        '    i = cmd.ExecuteNonQuery()
        '    con.Close()
        'Catch ex As Exception
        'End Try
        'Return i
        Return General.ExecuteDML(strconn, strQuery)
        'ver 3.2-CRK End
    End Function

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
        If txtEmpCode.Text.Trim() = "" Then
            lblMessage.Text = "Employee code can not be empty."
            lblMessage.ForeColor = Color.Red
            Exit Sub
        End If
        If txtEmpName.Text.Trim() = "" Then
            lblMessage.Text = "Employee Name can not be empty."
            lblMessage.ForeColor = Color.Red
            Exit Sub
        End If
        If IsRecordExist() Then
            ExicuteDML("update Contactus set Empcode='" + txtEmpCode.Text.Replace("'", "''") + "',EmpName='" + txtEmpName.Text.Replace("'", "''") + "',TelNo=" + IIf(txtTelNo.Text.Trim() = "", "null", txtTelNo.Text.Trim()) + ",MobileNo=" + IIf(txtMobNo.Text.Trim() = "", "null", txtMobNo.Text.Trim()) + ", Email='" + txtEmail.Text + "',FY='" + Session("Period") + "' where SrNo=" + hdSrNo.Value)
            lblMessage.Text = "Record Update successfully."
        Else
            ExicuteDML("Insert Into Contactus (Empcode, EmpName,TelNo,MobileNo,Email,CompanyCode,FY) Values ('" & txtEmpCode.Text & "','" + txtEmpName.Text.Replace("'", "''") + "'," + IIf(txtTelNo.Text.Trim() = "", "null", txtTelNo.Text.Trim()) + "," + IIf(txtMobNo.Text.Trim() = "", "null", txtMobNo.Text.Trim()) + ",'" + txtEmail.Text + "','" + Session("CoCode") + "','" + Session("Period") + "')")
            lblMessage.Text = "Record add successfully."
        End If
        BindData("'" & Session("Period") & "'")
        lblMessage.ForeColor = Color.Green
    End Sub
 
    Sub BindData(ByVal fy As String)
        Dim ds As DataSet = Data("SELECT SrNo,Empcode, EmpName,TelNo,MobileNo,Email from Contactus where CompanyCode='" + Session("CoCode") + "' and  FY=" + fy + " ")
        GridView1.DataSource = ds
        GridView1.DataBind()
    End Sub
    Protected Function IsRecordExist() As Boolean
        Dim b As Boolean
        Dim con As OleDbConnection = New OleDbConnection(strconn)
        Dim cmd As OleDbCommand = New OleDbCommand("select * from Contactus where SrNo=" + IIf(hdSrNo.Value = "", "null", hdSrNo.Value), con)
        Try
            con.Open()
            Dim rd As OleDbDataReader = cmd.ExecuteReader()
            b = rd.HasRows
            rd.Close()
        Catch ex As Exception
            'ver 3.2-CRK Start
        Finally
            con.Close()
            'ver 3.2-CRK end
        End Try
        Return b
    End Function

    Protected Sub btnDelete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        ExicuteDML("delete from  Contactus where SrNo=" + IIf(hdSrNo.Value = "", "null", hdSrNo.Value))
        BindData("'" & Session("Period") & "'")
        lblMessage.Text = "Record delete successfully."
        lblMessage.ForeColor = Color.Green
    End Sub
    Protected Sub GridView1_RowDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles GridView1.RowDataBound
        If e.Row.RowType = DataControlRowType.DataRow Then
            e.Row.Attributes.Add("ID", e.Row.UniqueID.Replace("$", "_"))
            e.Row.Attributes.Add("onclick", "javascript:gvRowClick('" + e.Row.UniqueID.Replace("$", "_") + "','#E0E0E0','" + GridView1.ClientID + "')")
        End If
    End Sub
    Private Sub ColorRow()
        Try

            For i = 0 To GridView1.Rows.Count
                If (i Mod 2 = 0) Then
                    GridView1.Rows(i).CssClass = "tblAlternetRow"
                End If
            Next
        Catch ex As Exception
        End Try

    End Sub
    Private Sub ImportContact()
        Dim str() As String = System.IO.File.ReadAllLines(Server.MapPath(".") & "\ContactUs.txt")
        Dim i As Integer = 0
        For i = 0 To str.Length - 1
            Dim row() As String = str(i).Split(",")
            ExicuteDML("Insert Into Contactus (Empcode, EmpName,TelNo,MobileNo,Email,CompanyCode,FY) Values ('" & row(0) & "','" + row(1).Replace("'", "''") + "'," + row(2) + "," + row(3) + ",'" + row(4) + "','" + row(5) + "','" + Session("Period") + "')")
        Next
    End Sub
    Protected Sub btnRestore_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRestore.Click
        ImportContact()
        BindData("'" & Session("Period") & "'")
    End Sub
    'ver 2.9-4 Start
    Protected Sub btnSet_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSet.Click
        ExicuteDML("update Contactus set FY='" & ddltmpfy.SelectedValue & "' where fy is null or fy=''")
        Server.Transfer("Contactus.aspx")
    End Sub
    'ver 2.9-4 End
End Class
