﻿Imports System.Data
Imports System.Data.OleDb
Partial Class DownloadDoc
    Inherits System.Web.UI.Page

    Protected Sub GridView1_RowEditing(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewEditEventArgs) Handles gvDownload.RowEditing
        Try
            Dim fileName As String = gvDownload.Rows(e.NewEditIndex).Cells(0).Text
            Dim file As String = Session("strPath") & "/Document/" & fileName
            If IO.File.Exists(file) Then
                Response.AddHeader("Content-Disposition", "attachment; filename=" + fileName)
                Response.ContentType = "application/octet-stream"
                Response.WriteFile(file)
                Response.End()
                HttpContext.Current.ApplicationInstance.CompleteRequest()
            Else
                Alert.Show("File not found")
            End If

        Catch ex As Exception
            Alert.Show(ex.Message.Replace(Environment.NewLine, ""))
        End Try

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            
            'Ver 3.2 -E398 Start
            Master.FindControl("imgPDF").Visible = False
            'Ver 3.2 -E398 end
            Dim dt As New DataTable
            Dim da As New OleDbDataAdapter("(select DocName from documentmaster  where isactive=true and IsRestricted=false) union (select DocName from documentmaster D, DocumentRole R ,DeactivateEmp E  where d.DocID=r.DocID and r.RoleID=E.RoleID and  IsRestricted=true and e.empcode='" & Session("EmpId").ToString() & "') ", Session("pwdConnection").ToString())
            da.Fill(dt)
            gvDownload.DataSource = dt
            gvDownload.DataBind()
        Catch ex As Exception
            If ex.Message.Contains("cannot find the input table") Then
                Alert.Show("This option is not active.Please contact administrator")

            End If
        End Try

    End Sub
End Class
