﻿Imports System.Data
Imports System.Data.OleDb
Imports General
Imports System.Globalization
Imports MigraDoc.Rendering
Imports System.Diagnostics
Partial Class EmployeeProofSubmission
    Inherits System.Web.UI.Page
    Private dsProfile As New DataSet
    Private dr As DataRow
    Private msg, strimg1, strimg2, qry As String
    Private sqlcon As OleDbConnection
    Private strQuery As String
    Private sqlcmd As New OleDb.OleDbCommand(strQuery, sqlcon)
    'Ver 3.2-E398 Start
    Private adp As New OleDb.OleDbDataAdapter
    Dim strEmployeeId As String
    Private Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit
        Try
            If Session("EmpId").ToString().Equals("Admin") Then
                Me.MasterPageFile = "AdminMasterPage.master"
                If Not String.IsNullOrEmpty(Convert.ToString(Session("SelectedEmpId"))) Then
                    strEmployeeId = Convert.ToString(Session("SelectedEmpId"))
                    Session("PageName") = "Proof Submission"
                End If
            Else
                strEmployeeId = Convert.ToString(Session("EmpId"))
            End If
        Catch ex As Exception

        End Try

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If String.IsNullOrEmpty(Convert.ToString(Session("EmpId"))) Then
            Response.Redirect("login.aspx")
        End If

        Dim empstr As String = ""
        Try
            'Ver 3.2-E398 Start
            Master.FindControl("imgPDF").Visible = False
            Master.FindControl("lnkPrint").Visible = False
            'Ver 3.2-E398 end

            'empstr = Session("CurrentEmpName").ToString() '''--kishor commented this line to handle null - 09-02-2023
            empstr = Convert.ToString(Session("CurrentEmpName")) '''--kishor added this line to handle null - 09-02-2023  
        Catch ex As Exception

        End Try
        If Session("Period") = "2012-2013" Then
            CCF1.Visible = False
        End If
        If empstr <> "" Then
            lblEmpCode.Text = Session("SelectedEmpId")
            lblName.Text = Session("CurrentEmpName")
            lblFY.Text = Session("Period")
        Else
            lblEmpCode.Text = Session("EmpId")
            lblName.Text = Session("EmpName")
            lblFY.Text = Session("Period")
        End If
        If IsTableExist() = False Then
            Session("ErrMSG") = "This page is under construction!"
            Server.Transfer("~/ErrorPage.aspx")
        End If
        'Ver 3.5-REQ305 start
        'If Session("Period") = "2013-2014" Then
        If Session("Period") = "2013-2014" Or Session("Period") = "2014-2015" Then
            'Ver 3.5-REQ305 end
            TTA.Visible = True
            EE.Visible = True
            CCF1.Visible = False
            'Ver 3.07-REQ511 start
            'Ver 3.8-REQ580 start
            ' ElseIf Session("Period") = "2015-2016" Then
        ElseIf Session("Period") >= "2015-2016" Then
            'Ver 3.8-REQ580 end 
            TTA.Visible = True
            CCF1.Visible = False
            'Ver 3.07-REQ511 end
            'Ver 4.0-REQ579 start
            EE.Visible = True
            'Ver 4.0-REQ579 end 
            'Ver4.2 REQ793 start
            CCD.Visible = True
            'Ver4.2 REQ793 end
        Else
            TTA.Visible = False
            EE.Visible = False
            CCF1.Visible = True

        End If
        'Ver4.2 REQ806 start
        If Session("Period") >= "2018-2019" Then
            Dim IsSenior As String
            Dim IsSeniorAbove As String
            Dim EmpCode As String
            EmpCode = Session("EmpId").ToString()
            If Session("EmpId") = "Admin" Then
                EmpCode = Session("SelectedEmpId")
            End If
            IsSenior = General.GetData(Session("myConnection"), "select senior from  EmpMaster where EmpCode='" & EmpCode & "'")
            IsSeniorAbove = General.GetData(Session("myConnection"), "select seniorabove80 from  EmpMaster where EmpCode='" & EmpCode & "'")
            If IsSenior = True Or IsSeniorAbove = True Then
                TTB.Visible = True
                TTA.Visible = False
            Else
                TTB.Visible = False
                TTA.Visible = True
            End If
        End If
        'Ver4.2 REQ806 end
    End Sub
    Private Function GetContent() As DataSet
        Dim dtEmp As New DataTable()
        Dim dttemp As New DataTable()
        Dim dtTexttemp As New DataTable()
        Dim dtHRA As New DataTable()
        Dim dtLTA As New DataTable()
        Dim dtIFHP As New DataTable()
        Dim dtchVIA As New DataTable()
        Dim dtOther As New DataTable()
        Dim dtFooter As New DataTable()
        Dim dtChHeader As New DataTable()

        ' Employee Details

        dtTexttemp.Columns.Add("Name")
        dtTexttemp.Rows.Add("FORM NO.12BB" + "                                                                            " + "(See rule 26C)")
        dtTexttemp.Rows.Add("Statement showing particulars of claims by an employee for deduction of tax under section 192")
        dsProfile.Tables.Add(dtTexttemp)

        dtEmp.Columns.Add("Description ")
        dtEmp.Columns.Add("Value")

        dtFooter.Columns.Add("Sr. NO.")
        dtFooter.Columns.Add("Description")
        dtFooter.Columns.Add("Value ")

        dtFooter.TableName = "Footer"
        dtEmp.TableName = "Employee"
        Alert.Show(strEmployeeId)
        sqlcon = New OleDbConnection(Session("myconnection"))
        adp = New OleDbDataAdapter("select EmpCode ,EmpName,PAN,Add1,Add2,Add3,Designation,FHName,City,State,Pin FROM [EmpMaster] where EmpCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "Master")

        If (dsProfile.Tables("Master").Rows.Count > 0) Then


            dtEmp.Rows.Add("1. Name and address of the employee:", Convert.ToString(dsProfile.Tables(1).Rows(0)("EmpName")))
            dtEmp.Rows.Add(" ", Convert.ToString(dsProfile.Tables(1).Rows(0)("Add1")) + "  " + Convert.ToString(dsProfile.Tables(1).Rows(0)("Add2")) + "  " + Convert.ToString(dsProfile.Tables(1).Rows(0)("Add3")) + "  " + Convert.ToString(dsProfile.Tables(1).Rows(0)("City")) + "  " + Convert.ToString(dsProfile.Tables(1).Rows(0)("Pin") + "  " + Convert.ToString(dsProfile.Tables(1).Rows(0)("State"))))
            dtEmp.Rows.Add("2. Permanent Account Number (PAN) of the employee:", Convert.ToString(dsProfile.Tables(1).Rows(0)("PAN")))
            dtEmp.Rows.Add("3. Financial year:", lblFY.Text)




            ' dtFooter.Rows.Add("", "I, " + Convert.ToString(dsProfile.Tables("Master").Rows(0)("EmpName")) + ", son/daughter of " + Convert.ToString(dsProfile.Tables("Master").Rows(0)("FHName")) + " do hereby certify that the  information given above is complete and correct", "")
            dtFooter.Rows.Add("", "Place : " + Convert.ToString(dsProfile.Tables("Master").Rows(0)("City")), " ")
            dtFooter.Rows.Add(" ", " ", " ")
            dtFooter.Rows.Add("", "Date : " + Date.Now.ToString("dd/MM/yyyy"), "(Signature of the employee) ")
            dtFooter.Rows.Add("", "Designation : " + Convert.ToString(dsProfile.Tables("Master").Rows(0)("Designation")), "Full Name: " & Convert.ToString(dsProfile.Tables("Master").Rows(0)("EmpName")))

        End If
        dsProfile.Tables.Add(dtEmp)

        ' HRA and Landlord  Details 

        sqlcon = New OleDbConnection(Session("invConnection").ToString())
        adp = New OleDbDataAdapter("Select * from LandLordDetails where EmpCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "LandLordDetails")

        Dim totalamount As Double
        sqlcon = New OleDbConnection(Session("invConnection").ToString())
        sqlcon.Open()
        Dim cmd As New OleDbCommand
        If (Session("HRASelection") = "Rent Receipts") Then

            cmd = New OleDbCommand("Select (TotalRentReceiptsAmount) as Amount  FROM HRA where EmployeeCode='" & strEmployeeId & "'", sqlcon)
        Else
            cmd = New OleDbCommand("Select (TotalRentForYear) as Amount  FROM HRA where EmployeeCode='" & strEmployeeId & "'", sqlcon)
        End If

        Dim dr As OleDbDataReader = cmd.ExecuteReader()


        If (dr.Read()) Then
            Dim result As Decimal = DirectCast(dr("Amount"), Decimal)
            totalamount = Convert.ToDouble(result)

        Else
            totalamount = 0
        End If
        dr.Close()
        sqlcon.Close()

        dtHRA.Columns.Add("Sr. No. ")
        dtHRA.Columns.Add("Nature Of Claim")
        dtHRA.Columns.Add("Amount(Rs.)")
        dtHRA.Columns.Add("Evidence / particulars")

        dtHRA.Rows.Add("(1)", "(2)", "(3)", "(4)")
        dtHRA.Rows.Add("1", "House Rent Allowance", "", "")
        dtHRA.Rows.Add(" ", "(i) Rent paid To the landlord", totalamount, "")
        dtHRA.Rows.Add(" ", "(ii) Name Of the landlord", "", "")



        If (dsProfile.Tables("LandLordDetails").Rows.Count > 0) Then

            For i As Integer = 0 To dsProfile.Tables("LandLordDetails").Rows.Count - 1
                Dim hrarow As DataRow = dtHRA.NewRow
                hrarow("Nature Of Claim") = "           " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("LandLordDetails").Rows(i)("Name"))


                dtHRA.Rows.Add(hrarow)

            Next




        End If
        dtHRA.Rows.Add(" ", "(iii)  Address Of the landlord", "", "")

        If (dsProfile.Tables("LandLordDetails").Rows.Count > 0) Then

            For i As Integer = 0 To dsProfile.Tables("LandLordDetails").Rows.Count - 1
                Dim hrarow As DataRow = dtHRA.NewRow
                hrarow("Nature Of Claim") = "          " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("LandLordDetails").Rows(i)("Address"))


                dtHRA.Rows.Add(hrarow)

            Next




        End If

        dtHRA.Rows.Add(" ", "(iv) Permanent Account Number Of the landlord", "", "")


        If (dsProfile.Tables("LandLordDetails").Rows.Count > 0) Then

            For i As Integer = 0 To dsProfile.Tables("LandLordDetails").Rows.Count - 1
                Dim hrarow As DataRow = dtHRA.NewRow
                hrarow("Nature Of Claim") = "         " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("LandLordDetails").Rows(i)("PANNumber"))


                dtHRA.Rows.Add(hrarow)

            Next

            dtHRA.Rows.Add(" ", "Note: Permanent Account Number shall be furnished, if the aggregate rent paid during the previous year exceeds one lakh rupees", "", "")


        End If
        dsProfile.Tables.Add(dtHRA)


        ' LTA  Details 
        dtLTA.Columns.Add("2")
        dtLTA.Columns.Add("Leave travel concessions or assistance (LTA)")
        dtLTA.Columns.Add("  ")
        dtLTA.Columns.Add("    ")
        totalamount = 0
        ' dtLTA.Rows.Add("2", "Leave travel concessions or assistance (LTA)", " ", " ")

        dsProfile.Tables.Add(dtLTA)

        'Income from house property & Lender Details

        dtIFHP.Columns.Add("3")
        dtIFHP.Columns.Add("Deduction of interest on borrowing (Income from house property) :")
        dtIFHP.Columns.Add(" ")
        dtIFHP.Columns.Add("  ")



        dtIFHP.Rows.Add(" ", "(i) Interest payable/paid to the lender", "", "")
        dtIFHP.Rows.Add(" ", "     1. Interest on Let-out property (Including Pre-EMI Interest)", "", "")
        dtIFHP.Rows.Add(" ", "     2. Interest on Self Occupied (Including Pre-EMI Interest)", "", "")
        dtIFHP.Rows.Add(" ", "(ii) Name of the lender", "", "")

        sqlcon = New OleDbConnection(Session("invConnection").ToString())
        adp = New OleDbDataAdapter("Select LenderName ,LenderAddress1,LenderAddress2,LenderAddress3,LenderPAN from IncomeFromHouseProperty where EmpCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "IncomeFromHouseProperty")


        'If (dsProfile.Tables("IncomeFromHouseProperty").Rows.Count > 0) Then

        '    For i As Integer = 0 To dsProfile.Tables("IncomeFromHouseProperty").Rows.Count - 1
        '        Dim hrarow As DataRow = dtIFHP.NewRow
        '        hrarow("Deduction of interest on borrowing (Income from house property) :") = "           " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("IncomeFromHouseProperty").Rows(i)("LenderName"))


        '        dtIFHP.Rows.Add(hrarow)

        '    Next

        'End If
        dtIFHP.Rows.Add(" ", "(iii)  Address Of the lender", "", "")

        'If (dsProfile.Tables("IncomeFromHouseProperty").Rows.Count > 0) Then

        '    For i As Integer = 0 To dsProfile.Tables("IncomeFromHouseProperty").Rows.Count - 1
        '        Dim hrarow As DataRow = dtIFHP.NewRow
        '        hrarow("Deduction of interest on borrowing (Income from house property) :") = "           " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("IncomeFromHouseProperty").Rows(i)("LenderAddress1") + "  " + Convert.ToString(dsProfile.Tables("IncomeFromHouseProperty").Rows(i)("LenderAddress2") + "  " + Convert.ToString(dsProfile.Tables("IncomeFromHouseProperty").Rows(i)("LenderAddress3"))))


        '        dtIFHP.Rows.Add(hrarow)

        '    Next

        'End If
        dtIFHP.Rows.Add(" ", "(iv) Permanent Account Number of the lender", "", "")

        'If (dsProfile.Tables("IncomeFromHouseProperty").Rows.Count > 0) Then

        '    For i As Integer = 0 To dsProfile.Tables("IncomeFromHouseProperty").Rows.Count - 1
        '        Dim hrarow As DataRow = dtIFHP.NewRow
        '        hrarow("Deduction of interest on borrowing (Income from house property) :") = "           " + (i + 1).ToString() + ". " + Convert.ToString(dsProfile.Tables("IncomeFromHouseProperty").Rows(i)("LenderPAN"))


        '        dtIFHP.Rows.Add(hrarow)

        '    Next

        'End If
        dtIFHP.Rows.Add(" ", "(a) Financial Institutions (if available) ", "", "")
        dtIFHP.Rows.Add(" ", "(b) Employer (if available) ", "", "")
        dtIFHP.Rows.Add(" ", "(c) Others", "", "")

        dsProfile.Tables.Add(dtIFHP)
        Dim VIAcounter As Integer = 0
        Dim VIAOthercounter As Integer = 0
        Dim strAmount As String
        Dim d As Double
        'Chapter VI A

        dtchVIA.Columns.Add("4")
        dtchVIA.Columns.Add("Deduction under Chapter VI-A " & Environment.NewLine & "(A) Section 80C,80CCC And 80CCD" & Environment.NewLine & "(i) Section 80C")
        dtchVIA.Columns.Add("  ")
        dtchVIA.Columns.Add("   ")



        'Public Provident Fund 
        sqlcon = New OleDbConnection(Session("invConnection").ToString())
        adp = New OleDbDataAdapter("Select SUM(Amount) As Amount  from PPF where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "PPF")

        If (dsProfile.Tables("PPF").Rows.Count > 0) Then

            strAmount = Convert.ToString(dsProfile.Tables("PPF").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("PPF").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add(" ", (VIAcounter).ToString() + ". Public Provident Fund", Convert.ToString(dsProfile.Tables("PPF").Rows(0)("Amount")), "")
            End If

        End If
        adp = New OleDbDataAdapter("Select SUM(Amount) As Amount from NSC where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "NSC")

        If (dsProfile.Tables("NSC").Rows.Count > 0) Then

            strAmount = Convert.ToString(dsProfile.Tables("NSC").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("NSC").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add(" ", (VIAcounter).ToString() + ". National Savings Certificate (NSC)", Convert.ToString(dsProfile.Tables("NSC").Rows(0)("Amount")), "")
            End If

        End If
        adp = New OleDbDataAdapter("select  SUM(TotalPremium) as Amount  from LIP where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "LIP")

        If (dsProfile.Tables("LIP").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("LIP").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("LIP").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add(" ", (VIAcounter).ToString() + ". Life Insurance Premium", Convert.ToString(dsProfile.Tables("LIP").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select sum(PrincipalAmount) as Amount,sum(InterestAmount) as Intrst  from HousingLoan  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "HSL")

        If (dsProfile.Tables("HSL").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("HSL").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("HSL").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ". Housing Loan Principal Repayment", Convert.ToString(dsProfile.Tables("HSL").Rows(0)("Amount")), "")
            End If

            strAmount = Convert.ToString(dsProfile.Tables("HSL").Rows(0)("Intrst"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("HSL").Rows(0)("Intrst"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ". Housing Loan Interest Repayment", Convert.ToString(dsProfile.Tables("HSL").Rows(0)("Intrst")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  sum(TotalTutionFees) as Amount from TutionFees  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "TutionFees")

        If (dsProfile.Tables("TutionFees").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("TutionFees").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("TutionFees").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ". Children Education Expenses", Convert.ToString(dsProfile.Tables("TutionFees").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  sum(Amount) as Amount  from TermDeposit  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "TermDeposit")

        If (dsProfile.Tables("TermDeposit").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("TermDeposit").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("TermDeposit").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ". Others - Post Office Savings Schemes, Tax Saver Term Deposit - 5 years", Convert.ToString(dsProfile.Tables("TermDeposit").Rows(0)("Amount")), "")

            End If
        End If

        adp = New OleDbDataAdapter("select  sum(Amount) as Amount   from elss  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "Elss")

        If (dsProfile.Tables("Elss").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("Elss").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("Elss").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ".Equity Linked Saving Scheme (ELSS)", Convert.ToString(dsProfile.Tables("Elss").Rows(0)("Amount")), "")

            End If
        End If



        'FastFacts 721 start
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from NPS  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "NPS")

        If (dsProfile.Tables("NPS").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("NPS").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("NPS").Rows(0)("Amount"))
            If (d > 0) Then
                VIAcounter = VIAcounter + 1
                dtchVIA.Rows.Add("", (VIAcounter).ToString() + ". Section NPS", Convert.ToString(dsProfile.Tables("NPS").Rows(0)("Amount")), "")

            End If
        End If
        'FastFacts 721 end

        dsProfile.Tables.Add(dtchVIA)



        'Chapter VI A -Other Section 

        dtOther.Columns.Add(" ")
        dtOther.Columns.Add("Other sections (e.g. 80E, 80G, 80TTA,80EEA,80EEB etc.) under Chapter VI-A.")
        dtOther.Columns.Add("  ")
        dtOther.Columns.Add("   ")



        adp = New OleDbDataAdapter("select  sum(InterestAmount) as Amount  from EducationLoan  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "EducationLoan")
        If (dsProfile.Tables("EducationLoan").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("EducationLoan").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("EducationLoan").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Interest Paid on Higher Education Loan (Sec 80E)", Convert.ToString(dsProfile.Tables("EducationLoan").Rows(0)("Amount")), "")

            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80TTA  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80TTA")
        If (dsProfile.Tables("80TTA").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80TTA").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80TTA").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Interest On Deposits In Saving Accounts (80TTA)", Convert.ToString(dsProfile.Tables("80TTA").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  SUM(Amount) as Amount  from Mediclaim  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "Mediclaim")

        If (dsProfile.Tables("Mediclaim").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("Mediclaim").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("Mediclaim").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Medical Claim  [Section 80D] ", Convert.ToString(dsProfile.Tables("Mediclaim").Rows(0)("Amount")), "")

            End If
        End If
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80EE  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80EE")

        If (dsProfile.Tables("80EE").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80EE").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80EE").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Section 80EE Additional Income Tax Deduction for Interest on Home Loan", Convert.ToString(dsProfile.Tables("80EE").Rows(0)("Amount")), "")

            End If
        End If


        ''kishor added - 17-12-2019
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80EEA  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80EEA")

        If (dsProfile.Tables("80EEA").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80EEA").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80EEA").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Section 80EEA - Additional Interest on Loan against house Property", Convert.ToString(dsProfile.Tables("80EEA").Rows(0)("Amount")), "")

            End If
        End If

        ''''------------
        '''
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80EEB  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80EEB")

        If (dsProfile.Tables("80EEB").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80EEB").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80EEB").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Section 80EEB - Interest Paid on Loan against Electric Car", Convert.ToString(dsProfile.Tables("80EEB").Rows(0)("Amount")), "")

            End If
        End If

        ''kishor added - 17-12-2019

        'Ver4.2 REQ793 start
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80CCD  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80CCD")

        If (dsProfile.Tables("80CCD").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80CCD").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80CCD").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Section 80CCD", Convert.ToString(dsProfile.Tables("80CCD").Rows(0)("Amount")), "")

            End If
        End If
        'Ver4.2 REQ793 end

        'Ver4.2 REQ806 start
        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80TTB  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80TTB")

        If (dsProfile.Tables("80TTB").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80TTB").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80TTB").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Section 80TTB", Convert.ToString(dsProfile.Tables("80TTB").Rows(0)("Amount")), "")

            End If
        End If
        'Ver4.2 REQ806 end

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80CCG  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80CCG")

        If (dsProfile.Tables("80CCG").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80CCG").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80CCG").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Rajiv Gandhi Equity Savings Scheme (80CCG)", Convert.ToString(dsProfile.Tables("80CCG").Rows(0)("Amount")), "")

            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80DDB  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80DDB")
        If (dsProfile.Tables("80DDB").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80DDB").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80DDB").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Medical Exp on Specified disease (80DDB)", Convert.ToString(dsProfile.Tables("80DDB").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80DD  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80DD")
        If (dsProfile.Tables("80DD").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80DD").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80DD").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Maintainance Exp of handicapped Dependent (80DD)", Convert.ToString(dsProfile.Tables("80DD").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80G  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80G")
        If (dsProfile.Tables("80G").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80G").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80G").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Donation on Certain Funds (80G)", Convert.ToString(dsProfile.Tables("80G").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80GG  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80GG")
        If (dsProfile.Tables("80GG").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80GG").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80GG").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Rent Paid (80GG)", Convert.ToString(dsProfile.Tables("80GG").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80GGA  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80GGA")
        If (dsProfile.Tables("80GGA").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80GGA").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80GGA").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Donation for Scientific Research (80GGA)", Convert.ToString(dsProfile.Tables("80GGA").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  (Amount) as Amount  from 80U  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "80U")
        If (dsProfile.Tables("80U").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("80U").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("80U").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Permanent Physical Disability (80U)", Convert.ToString(dsProfile.Tables("80U").Rows(0)("Amount")), "")
            End If
        End If

        adp = New OleDbDataAdapter("select  sum(Amount) as Amount  from OtherInvestment  where EmployeeCode='" & strEmployeeId & "' ", sqlcon)
        adp.Fill(dsProfile, "OtherInvestment")
        If (dsProfile.Tables("OtherInvestment").Rows.Count > 0) Then
            strAmount = Convert.ToString(dsProfile.Tables("OtherInvestment").Rows(0)("Amount"))
            d = IIf(strAmount = String.Empty, 0, dsProfile.Tables("OtherInvestment").Rows(0)("Amount"))
            If (d > 0) Then
                VIAOthercounter = VIAOthercounter + 1
                dtOther.Rows.Add("", (VIAOthercounter).ToString() + ". Other Investment", Convert.ToString(dsProfile.Tables("OtherInvestment").Rows(0)("Amount")), "")
            End If
        End If

        dsProfile.Tables.Add(dtOther)



        dsProfile.Tables.Add(dtFooter)


        dsProfile.Tables.Remove("80EE")
        dsProfile.Tables.Remove("Mediclaim")
        dsProfile.Tables.Remove("80TTA")
        dsProfile.Tables.Remove("EducationLoan")
        dsProfile.Tables.Remove("PPF")
        dsProfile.Tables.Remove("80CCG")
        dsProfile.Tables.Remove("Elss")
        dsProfile.Tables.Remove("TermDeposit")
        dsProfile.Tables.Remove("TutionFees")
        dsProfile.Tables.Remove("NSC")
        dsProfile.Tables.Remove("LIP")
        dsProfile.Tables.Remove("HSL")
        dsProfile.Tables.Remove("IncomeFromHouseProperty")
        dsProfile.Tables.Remove("LandLordDetails")
        'Ver4.2 REQ793 start
        dsProfile.Tables.Remove("80CCD")
        'Ver4.2 REQ793 end
        'Ver4.2 REQ806 start
        dsProfile.Tables.Remove("80TTB")
        'Ver4.2 REQ806 end
        'FastFActs 721 start
        dsProfile.Tables.Remove("NPS")
        'FastFActs 721 end

        ''kishor added - 17-12-2019
        dsProfile.Tables.Remove("80EEA")
        dsProfile.Tables.Remove("80EEB")
        ''kishor added - 17-12-2019

        dsProfile.Tables.Remove("80DDB")
        dsProfile.Tables.Remove("80DD")
        dsProfile.Tables.Remove("80G")
        dsProfile.Tables.Remove("80GG")
        dsProfile.Tables.Remove("80GGA")
        dsProfile.Tables.Remove("80U")
        dsProfile.Tables.Remove("OtherInvestment")

        Return dsProfile

    End Function

    Private Sub PrintPDF()
        Dim dsProfile As New DataSet()
        dsProfile = GetContent()
        Dim pdfForm As New PDFform(dsProfile, "0", "8.5in")
        Dim document As MigraDoc.DocumentObjectModel.Document = pdfForm.CreateDocument()
        document.UseCmykColor = True
        Dim pdfRenderer As New PdfDocumentRenderer(True)
        pdfRenderer.Document = document
        pdfRenderer.RenderDocument()
        Dim ms As New System.IO.MemoryStream()
        pdfRenderer.Save(ms, True)
        Dim byteArray() As Byte = ms.ToArray()
        HttpContext.Current.Response.ContentType = "Application/pdf"
        HttpContext.Current.Response.AddHeader("Content-Disposition", "attachment; filename=" & Session("PageName") & ".pdf")
        HttpContext.Current.Response.AddHeader("Content-Length", byteArray.Length.ToString())
        HttpContext.Current.Response.ContentType = "application/octet-stream"
        HttpContext.Current.Response.BinaryWrite(byteArray)
        HttpContext.Current.Response.End()
    End Sub
    Protected Function IsTableExist() As Boolean
        'temp 3.2 disable function
        Dim con As OleDbConnection = New OleDbConnection(Session("invConnection").ToString())
        Dim cmd As OleDbCommand = New OleDbCommand("select 'Exist'  from  hra,elss,educationloan,housingloan,hramonthlyvalues,lip,mediclaim,ppf,termdeposit,tutionfees,categorylog", con)
        Try
            con.Open()
            Dim d As OleDbDataReader = cmd.ExecuteReader()
            con.Close()
            d.Close()
            Return True
        Catch ex As Exception
            Return False
        Finally
            con.Close()
        End Try

        'Return True
        'temp 3.2
    End Function
    Public Function WriteCss() As String
        Dim css As String = ""
        css = General.GetData(System.Web.HttpContext.Current.Session("StyleCon"), "select CustomizeStyle from stylesheet")
        Return css
    End Function
    Protected Sub btnGenerate12BB_Click(sender As Object, e As EventArgs) Handles btnGenerate12BB.Click
        PrintPDF()

    End Sub

    Private Sub HousingLoan1_Load(sender As Object, e As EventArgs) Handles HousingLoan1.Load

    End Sub
End Class
