Imports System.Data
Imports System.Data.OleDb
Imports MigraDoc.Rendering

Partial Class _Leaves
    Inherits System.Web.UI.Page

    Private adp As New OleDbDataAdapter
    Private dsProfile As New DataSet

    Private objCon As OleDbConnection
    Dim dd As DropDownList = New DropDownList()
    'Ver 3.2-E398 Start
    Private Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit
        AddHandler Master.Print_PDF, AddressOf PrintPDF
    End Sub
    'Ver 3.2-E398 End
    Private Function FillLeaves() As DataTable
        FillLeaves = New DataTable
        Try
            Dim dt As DataColumn
            Dim t1 As DataTable = New DataTable("Leaves")

            dt = New DataColumn
            dt.ColumnName = "Leaves"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Opening Balance"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Credited"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Availed"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "EnCash"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Closing Balance"

            t1.Columns.Add(dt)

            Dim intI As Integer
            Dim intJ As Integer
            Dim sCredit As Double, sAvail As Double, sEncash As Double, OpBal As Double
            Dim dblVal1 As String, dblVal2 As String

            adp = New OleDbDataAdapter("select max(Leave) as Lcode,max(LName) as Name,sum(credited)as credit,sum(availed) as avail,sum(encash) as enC from LeaveDetails " & _
                                            " where EmpCode='" & Session("EmpId") & "' and Period = '" & Session("cMonth") & "' group by Leave ", objCon)
            adp.Fill(dsProfile, "SumLeaves")





            If dsProfile.Tables("SumLeaves").Rows.Count > 0 Then
                For intI = 0 To dsProfile.Tables("SumLeaves").Rows.Count - 1


                    adp.SelectCommand.CommandText = "select * from LeaveDetails where EmpCode='" & Session("EmpId") & "' " & _
                                                    " and Period ='" & Session("CMonth") & "' " & _
                                                   " and Leave ='" & dsProfile.Tables("SumLeaves").Rows(intI).Item("LCode") & "'"
                    adp.Fill(dsProfile, "LeaveDet")


                    adp = New OleDbDataAdapter("select max(Leave) as Lcode,max(LName) as Name,sum(credited)as credit,sum(availed) as avail,sum(encash) as enC from LeaveDetails " & _
                                        " where EmpCode='" & Session("EmpId") & "' and Period < '" & Session("cMonth") & "' and Leave ='" & dsProfile.Tables("SumLeaves").Rows(intI).Item("LCode") & "'  ", objCon)
                    Dim tmpdt As New DataTable
                    adp.Fill(tmpdt)


                    If IsDBNull(tmpdt.Rows(0)("credit")) = False Then
                        sCredit = "" & (tmpdt.Rows(0)("credit"))
                    Else
                        sCredit = 0
                    End If
                    If IsDBNull(tmpdt.Rows(0)("Avail")) = False Then
                        sAvail = "" & (tmpdt.Rows(0)("Avail"))
                    Else
                        sAvail = 0
                    End If
                    If IsDBNull(tmpdt.Rows(0)("enC")) = False Then
                        sEncash = "" & Val(tmpdt.Rows(0)("enC"))
                    Else
                        sEncash = 0
                    End If

                    OpBal = sCredit - sAvail - sEncash

                    If dsProfile.Tables("LeaveDet").Rows.Count > 0 Then
                        For intJ = 0 To dsProfile.Tables("LeaveDet").Rows.Count - 1
                            If dsProfile.Tables("LeaveDet").Rows(intI).Item("Leave") = dsProfile.Tables("SumLeaves").Rows(intI).Item("LCode") Then
                                If IsDBNull(dsProfile.Tables("LeaveDet").Rows(intI).Item("availed")) = False Then
                                    dblVal1 = "" & dsProfile.Tables("LeaveDet").Rows(intI).Item("availed")
                                Else
                                    dblVal1 = 0
                                End If
                                If IsDBNull(dsProfile.Tables("LeaveDet").Rows(intI).Item("enCash")) = False Then
                                    dblVal2 = "" & dsProfile.Tables("LeaveDet").Rows(intI).Item("enCash")
                                Else
                                    dblVal2 = 0
                                End If
                                Dim DataRow1 As DataRow = t1.NewRow
                                DataRow1("Leaves") = "" & dsProfile.Tables("SumLeaves").Rows(intI).Item("Name")
                                DataRow1("Opening Balance") = Math.Round(OpBal, 2)
                                DataRow1("Credited") = Math.Round(Val("" & dsProfile.Tables("LeaveDet").Rows(intI).Item("Credited")), 2)
                                dblVal1 = IIf(dblVal1 = "0.0000", 0, dblVal1).ToString()
                                DataRow1("Availed") = Math.Round(Convert.ToDecimal(dblVal1), 2)
                                DataRow1("EnCash") = Math.Round(Convert.ToDecimal(dblVal2), 2)
                                DataRow1("Closing Balance") = Math.Round(Val(OpBal) + Val("" & dsProfile.Tables("LeaveDet").Rows(intI).Item("Credited")) - Val(dblVal1) - Val(dblVal2), 2)
                                t1.Rows.Add(DataRow1)
                                Exit For
                            Else
                                Dim DataRow1 As DataRow = t1.NewRow
                                DataRow1("Leaves") = dsProfile.Tables("SumLeaves").Rows(intI).Item("Name")
                                DataRow1("Opening Balance") = Math.Round(OpBal, 2)
                                DataRow1("Credited") = 0
                                DataRow1("Availed") = 0
                                DataRow1("EnCash") = 0
                                DataRow1("Closing Balance") = Math.Round(OpBal, 2)
                                t1.Rows.Add(DataRow1)
                            End If
                        Next
                    End If
                Next
            End If
            Return t1
        Catch ex As Exception
            'lblMsg.Text = ex.Message.ToString
        End Try

    End Function

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Session("EmpId") = String.Empty Then
                Response.Redirect("EmpLogin.aspx")
            End If
            dd = CType(Master.FindControl("cmbMonth"), DropDownList)
            objCon = New OleDbConnection(Session("myconnection"))

            AddHandler dd.SelectedIndexChanged, AddressOf PageRefresh
            If Not Page.IsPostBack Then
                gdLeave.DataSource = FillLeaves()
                gdLeave.DataBind()
            End If
           

            For intI As Integer = 0 To gdLeave.Rows.Count - 1
                gdLeave.Rows(intI).Cells(0).HorizontalAlign = HorizontalAlign.Left
            Next
            If gdLeave.Rows.Count <= 0 Then
                CType(Master.FindControl("hidrpt"), HiddenField).Value = ""
            End If
            gdLeave.Visible = True

            lblEmpCode.Text = Session("EmpId")
            lblName.Text = Session("EmpName")
            lblFY.Text = Session("Period")

            dd.Visible = True
            Dim ltmon As Literal = CType(Master.FindControl("ltrmon"), Literal)
            ltmon.Visible = True

        Catch ex As Exception
            'lblMsg.Text = ex.Message.ToString
        End Try

    End Sub
    Private Sub PageRefresh()
        Session("CMonth") = Format(CDate(dd.SelectedItem.Value), "yyyyMM")
        Server.Transfer("Leaves.aspx")

    End Sub
    'Ver 3.2-E398 Start
    Private Sub PrintPDF()
        Try
            Dim dspdf As New DataSet()
            dspdf.Tables.Add(FillLeaves())
            If dspdf.Tables(0).Rows.Count <= 0 Then
                Alert.Show("No data found")
                Exit Sub
            End If
            Dim pdfForm As New PDFform(dspdf, "0", "8.0in")
            Dim document As MigraDoc.DocumentObjectModel.Document = pdfForm.CreateDocument()
            document.UseCmykColor = True
            Dim pdfRenderer As New PdfDocumentRenderer(True)
            pdfRenderer.Document = document
            pdfRenderer.RenderDocument()
            Dim ms As New System.IO.MemoryStream()
            pdfRenderer.Save(ms, True)
            Dim byteArray() As Byte = ms.ToArray()
            HttpContext.Current.Response.ContentType = "Application/pdf"
            HttpContext.Current.Response.AddHeader("Content-Disposition", "attachment; filename=LeavesDetails.pdf")
            HttpContext.Current.Response.AddHeader("Content-Length", byteArray.Length.ToString())
            HttpContext.Current.Response.ContentType = "application/octet-stream"
            HttpContext.Current.Response.BinaryWrite(byteArray)
            HttpContext.Current.Response.End()
        Catch ex As Exception
            Alert.Show("No data found")
        End Try
    End Sub
    'Ver 3.2-E398 End
End Class
