Imports System.Data
Imports System.Data.OleDb

Partial Class _LoanList
    Inherits System.Web.UI.Page

    Dim dsProfile As New DataSet
    Dim adp As New OleDbDataAdapter
    Dim objCon As OleDbConnection

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Session("EmpId") = String.Empty Then
                Response.Redirect("EmpLogin.aspx")
            End If
            objCon = New OleDbConnection(Session("myConnection"))

            lblEmpCode.Text = Session("EmpId")
            lblName.Text = Session("EmpName")
            lblFY.Text = Session("Period")

            Call ShowLoanList()
        Catch ex As Exception

        End Try

    End Sub

    Private Sub ShowLoanList()
        Dim intI As Integer

        adp = New OleDbDataAdapter("select distinct(LoanCODE) from LoanTran where EmpCode='" & Session("EmpId") & "'", objCon)
        adp.Fill(dsProfile, "Loans")

        If dsProfile.Tables("Loans").Rows.Count > 0 Then
            If dsProfile.Tables("Loans").Rows.Count = 1 Then
                Session.Add("Code", dsProfile.Tables("Loans").Rows(0).Item("LoanCode"))
                Response.Redirect("Loan.aspx")
            Else
                Dim tblRow As TableRow
                lblLinks.Text = "Click on the links to view Details"
                For intI = 0 To dsProfile.Tables("Loans").Rows.Count - 1
                    tblRow = New TableRow
                    tblLinks.Rows.Add(tblRow)
                    tblRow.Cells.Add(New TableCell())
                    Dim tblcell As New TableCell

                    Dim hl As New HyperLink
                    hl.Text = dsProfile.Tables("Loans").Rows(intI).Item("LoanCode")
                    '--Session.Add("Code", dsProfile.Tables("Loans").Rows(intI).Item("LoanCode"))
                    hl.NavigateUrl = ("Loan.aspx?Code=" & dsProfile.Tables("Loans").Rows(intI).Item("LoanCode") & "")
                    tblcell.Controls.Add(hl)
                    tblRow.Cells.Add(tblcell)

                Next intI
            End If
        Else
            'Ver 3.3-E596 start
            'lblLinks.Text = "No Loans taken by this employee"
            lblLinks.Text = "No Loan Records Found"
            'Ver 3.3-E596 end 
        End If
    End Sub

End Class
