﻿Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.IO
Imports System.Text
Imports System.Web.SessionState
Imports System.Data.OleDb
Imports MigraDoc.DocumentObjectModel
Imports MigraDoc.Rendering
Imports System.Globalization
Imports General

Partial Class PrintPreview
    Inherits System.Web.UI.Page
    Private dsProfile As New DataSet
    Private dr As DataRow
    Private msg, strimg1, strimg2, qry As String
    Private sqlcon As OleDbConnection
    Private strQuery As String
    Private sqlcmd As New OleDb.OleDbCommand(strQuery, sqlcon)
    Private adp As New OleDb.OleDbDataAdapter

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Dim rpt As String = Session("temp").ToString()
        '  rpt = rpt.Replace("<table", "<table style='font-family: Tahoma, Geneva, sans-serif;font-size: 11.2px;font-weight: normal;	color: #1d3f65;	text-decoration: none;border-right-style:double;'")
        '  rpt = rpt.Replace("<table", "<table style='font-family: Tahoma, Geneva, sans-serif;font-size: 11.2px;font-weight: normal;	color: #1d3f65;border-right-style:double;text-decoration: none;'")
        'Response.Write(rpt)
        'Dim ctrl As Control = CType(Session("ctrl"), Control)
        ' PrintHelper.PrintWebControl(ctrl)
        If Session("CoCode") = String.Empty Then
            Response.Redirect("Login.aspx")
        End If
        If Session("PageName").ToString() = "PaySlip" Then
            Try
                If Session("EmpId") = String.Empty Then
                    Response.Redirect("EmpLogin.aspx")
                End If
                'ver 3.1 3409 Start
                imgPayLogo.ImageUrl = "~/Images/" & Session("CoCode") & Mid(Session("Period"), 3, 2) & "/Paypac.bmp"
                imgPayLogo.AlternateText = Session("CoName")
                ltrCompanyName.Text = Session("CoName")
                'ver 3.1 3409 End
                adp.SelectCommand = sqlcmd
                If Page.IsPostBack = False Then
                    Call FillHeaders()
                    lblMonthOf.Text = "Payslip for the Month of " & MonthName(Right(Session("CMonth"), 2)) _
                                        & " " & Left(Session("CMonth"), 4)
                    Call FillGrid()
                    dvmain.Visible = True
                End If
            Catch ex As Exception
            End Try

            Session("gvGross") = gvGross
            Session("gvPayslipComp") = gvPayslipComp
            'Ver 3.2-3509/3547 Start
            Try
                Dim strmsg() As String = General.GetData(Session("pwdConnection").ToString(), "select commonmessage from commonmessage ").Replace("''", "'").Split(vbCr)
                Dim showmsg As String = ""
                Dim i As Integer
                For i = 0 To strmsg.Length - 1
                    showmsg = showmsg & "<br/>" & strmsg(i)
                Next
                showmsg = showmsg.Substring(5)
                ltrCommonMessage.Text = showmsg
                Dim dcm As New DataTable("CommonMessage")
                dcm.Columns.Add("cm")
                dcm.Rows.Add(ltrCommonMessage.Text)
                dsProfile.Tables.Add(dcm)
            Catch ex As Exception
            End Try
            'Ver 3.2-3509/3547 End
        Else
            Dim s As String = Session("temp").ToString().Replace("<head></head>", "<head><link href='PrintStyle.css' rel='stylesheet' type='text/css' /></head>")

            If Session("PageName") = "Home" Then
                s = s.Replace("<body>", "<body><center><table cellpadding=""0"" cellspacing=""0"" border=""1""} ></table>")
                s = s.Replace("</body>", "</body></center>")
                ' ''s = s.Replace("id=""tblhome""", "id=""tblhome""border='1'")
                ' ''s = s.Replace("cellpadding=""1"" cellspacing=""1""", "cellpadding=""0"" cellspacing=""0""")
                's = s.Replace("<body>", "<style type='text/css'>table { border-style:solid;border-width:thin } th { border-style:solid;border-width:thin } </style><body>")
            End If
            Response.Write(s)
        End If
       
    End Sub
    Private Sub FillHeaders()
        Try
            sqlcon = New OleDbConnection(Session("myconnection"))
            adp = New OleDbDataAdapter("select Field1,':' as Col1,Value1,Field2,':' as Col2,Value2 FROM [Master] where EmpCode='" & Session("EmpId") & "' and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Master")
            gvDetails.DataSource = dsProfile.Tables("Master")
            gvDetails.DataBind()

            gvDetails.HeaderRow.Visible = False
            gvDetails.Visible = True
        Catch ex As Exception
            'lblMsg.Text = "Error - " & ex.Message.ToString
        End Try
    End Sub

    Private Sub FillGrid()

        'Dim txtInfo As TextInfo
        'Dim CultureInfo As Globalization.CultureInfo = System.Threading.Thread.CurrentThread.CurrentCulture
        'Dim txtInfo As TextInfo = CultureInfo.TextInfo

        Try
            dsProfile.Tables.Clear()

            adp = New OleDbDataAdapter("select Earning as Earnings, format(Eamount,'#,##0.00') as Eamount,'' as Gap, Deduction as Deductions,format(DAmount,'#,##0.00') as DAmount FROM [Transaction] where EmpCode='" & _
                      Session("EmpId") & "' and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Trans")

            'dsProfile.Tables("Trans").Rows.Add()

            adp = New OleDbDataAdapter("select 'Total Earnings' as Earnings, format(GrEarning,'#,##0.00') as Eamount,'' as Gap, 'Total Deductions' as Deductions,format(GrDeduction,'#,##0.00') as DAmount FROM [NetValues] where EmpCode='" & _
                    Session("EmpId") & "'and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Gross")

            adp = New OleDbDataAdapter("select  NetAmount as 'Net Amount' ,NetInWords as 'Amount In Words' from [NetValues] where EmpCode='" & _
                    Session("EmpId") & "'and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "NetAmounts")

            gvPayslipComp.DataSource = dsProfile.Tables("Trans")
            gvPayslipComp.DataBind()
            gvGross.DataSource = dsProfile.Tables("Gross")
            gvGross.DataBind()

            If dsProfile.Tables("NetAmounts").Rows.Count > 0 Then
                lblNetAmt.Text = " " & Convert.ToDecimal(dsProfile.Tables("NetAmounts").Rows(0).Item("'Net Amount'").ToString()).ToString("#,##0.00")
                'ver 3.2-???? start-BC30456: 'InitializeCulture' is not a member of ...
                'lblNetAmtinword.Text = "" & txtInfo.ToTitleCase("" & GetNumsInWords(dsProfile.Tables("NetAmounts").Rows(0).Item("'Net Amount'").ToString & "")) & ""
                lblNetAmtinword.Text = "" & General.ToTitleCase("" & GetNumsInWords(dsProfile.Tables("NetAmounts").Rows(0).Item("'Net Amount'").ToString & "")) & ""
                'ver 3.2 end
                'Ver 2.1-2625 start
                'lblPayslipMessage.Text = "" & dsProfile.Tables("NetAmounts").Rows(0).Item(1)
                lblPersonalMessage.Text = "" & dsProfile.Tables("NetAmounts").Rows(0).Item("'Amount In Words'")
                'Ver 2.1-2625 end
            End If

            'For inti As Integer = 0 To gvPayslipComp.Columns.Count - 1
            '    gvPayslipComp.Columns(inti).GetType() is nu
            'Next

            gvPayslipComp.Visible = True
            gvPayslipComp.HeaderRow.Cells(1).Text = "<table cellspacing='0' cellpadding='0' align='right'><tr align='right' ><td ><img src=""IMAGES/rs.png""/></td><td align='right'>Amount</td></tr></table>"
            gvPayslipComp.HeaderRow.Cells(2).Text = ""
            gvPayslipComp.HeaderRow.Cells(4).Text = "<table cellspacing='0' cellpadding='0' align='right'><tr align='right'><td ><img src=""IMAGES/rs.png""/></td><td align='right'>Amount</td></tr></table>"

            gvGross.Rows(gvGross.Rows.Count - 1).Font.Bold = True
            '--gvPayslipComp.CssClass = "GrdNumber"
            gvPayslipComp.HeaderRow.Cells(2).Width = 10
            gvPayslipComp.HeaderRow.Cells(1).HorizontalAlign = HorizontalAlign.Right
            gvPayslipComp.HeaderRow.Cells(4).HorizontalAlign = HorizontalAlign.Right
            gvPayslipComp.HeaderRow.Cells(0).HorizontalAlign = HorizontalAlign.Left
            gvPayslipComp.HeaderRow.Cells(3).HorizontalAlign = HorizontalAlign.Left

            gvGross.HeaderRow.Cells(1).HorizontalAlign = HorizontalAlign.Right
            gvGross.HeaderRow.Cells(3).HorizontalAlign = HorizontalAlign.Right

            For I As Integer = 0 To gvPayslipComp.Rows.Count - 1
                gvPayslipComp.Rows(I).Cells(1).HorizontalAlign = HorizontalAlign.Right
                gvPayslipComp.Rows(I).Cells(4).HorizontalAlign = HorizontalAlign.Right
            Next

        Catch ex As Exception
            'lblMsg.Text = "Error - " & ex.Message.ToString
        End Try
    End Sub
End Class


Public Class PrintHelper
    Public Sub New()
    End Sub

    Public Shared Sub PrintWebControl(ByVal ctrl As Control)
        PrintWebControl(ctrl, String.Empty)
    End Sub

    Public Shared Sub PrintWebControl(ByVal ctrl As Control, ByVal Script As String)
        Dim stringWrite As StringWriter = New StringWriter()
        Dim htmlWrite As System.Web.UI.HtmlTextWriter = New System.Web.UI.HtmlTextWriter(stringWrite)
        If TypeOf ctrl Is WebControl Then
            Dim w As System.Web.UI.WebControls.Unit = New System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage)
            CType(ctrl, WebControl).Width = w
        End If
        Dim pg As Page = New Page()
        pg.EnableEventValidation = False
        If Script <> String.Empty Then
            pg.ClientScript.RegisterStartupScript(pg.GetType(), "PrintJavaScript", Script)
        End If
        Dim frm As HtmlForm = New HtmlForm()
        pg.Controls.Add(frm)
        frm.Attributes.Add("runat", "server")
        frm.Controls.Add(ctrl)
        pg.DesignerInitialize()
        pg.RenderControl(htmlWrite)
        Dim strHTML As String = stringWrite.ToString()
        HttpContext.Current.Response.Clear()
        HttpContext.Current.Response.Write(strHTML)
        HttpContext.Current.Response.Write("<script>window.print();</script>")
        HttpContext.Current.Response.End()
    End Sub
End Class