﻿'Ver 3.2-E450 Start
Imports System.Data
Imports System.Data.OleDb
Imports System.Drawing
Imports System.Configuration
Partial Class UserControls_80CCG
    Inherits System.Web.UI.UserControl
    Dim strconn As String
    Dim strEmployeeId As String
    Dim g As General

    Function Data(ByVal strQuery As String) As DataSet
        Dim ds As DataSet = New DataSet()
        Dim da As OleDbDataAdapter = New OleDbDataAdapter(strQuery, strconn)
        da.Fill(ds)
        Return ds
    End Function
    Protected Function ExicuteDML(ByVal strQuery As String) As Integer
        Return General.ExecuteDML(strconn, strQuery)
    End Function
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        strconn = Session("invConnection").ToString()

        If Session("EmpId").ToString().Equals("Admin") Then
            'btnAdd.Enabled = False
            'btnDelete.Enabled = False

            chkProofAttach.Enabled = False
            strEmployeeId = Session("SelectedEmpId").ToString()
            lblIsproofapproved.Visible = True
            lblisproofreject.Visible = True
            lblreson.Visible = True
            txtReason.Visible = True
            chkproofapproved.Visible = True
            chkproofreject.Visible = True
            txtReason.Visible = True
        Else
            'chkproofapproved.Style("visibility ") = "hidden"
            'chkproofreject.Style("visibility ") = "hidden"
            'chkproofapproved.Enabled = False
            'chkproofreject.Enabled = False
            chkproofapproved.Enabled = True
            chkproofreject.Enabled = True
            strEmployeeId = Session("EmpId").ToString()
            chkproofapproved.Enabled = False
            chkproofreject.Enabled = False
        End If
        'Ver4.2 REQ793 start
        Dim dscd As New DataSet
        dscd = Data("Select * from 80CCG where EmployeeCode ='" & strEmployeeId & "'")
        If dscd.Tables(0).Rows.Count > 0 Then
            btnAdd.Enabled = False
            btnEdit.Enabled = True
        Else
            btnAdd.Enabled = True
            btnEdit.Enabled = False
        End If
        'Ver4.2 REQ793 End
        CheckEligibility()
        If Not Page.IsPostBack Then
            Try
                ShowData()
            Catch ex As Exception
                If ex.Message.Contains("cannot find the input table") Then
                    If Not Session("EmpId").ToString().ToLower() = "admin" Then
                        lblMessage.Text = "This option is not active.Please contact administrator."
                    Else
                        lblMessage.Text = "Please update database."
                    End If

                    btnAdd.Enabled = False
                End If
            End Try

        End If
    End Sub
    Sub CheckEligibility()
        Dim objCon As OleDbConnection
        If Val(Mid(Session("Period"), 1, 4)) >= 2012 Then
            Try


                Dim datareader As OleDbDataReader
                Dim dscommmand As New OleDbCommand
                objCon = New OleDbConnection(Session("myConnection"))

                dscommmand.Connection = objCon
                dscommmand.CommandText = "select (GrossAmt- Deduction) AS TotalGross from  " & _
                                                "(select sum(AMTTAXABLE) AS Deduction from TRANS    where ECode='" & Session("EmpId") & "' and   mid(code,1,3)='S17' )  as Deduction ,  " & _
                                                "(select Sum(AMTTAXABLE) As GrossAmt from TRANS where ECode='" & Session("EmpId") & "'  and  mid([Type],1,1)<>'H' and  " & _
                                                "(mid(code,1,3)='S11' or  mid(code,1,3)='S12' or  mid(code,1,3)='S13')) as TotalTaxable"
                objCon.Open()
                datareader = dscommmand.ExecuteReader

                If datareader.HasRows Then
                    datareader.Read()
                    If datareader.Item("TotalGross") > "1000000" Then
                        UpdatePanel1.Visible = False
                    Else
                        UpdatePanel1.Visible = True
                    End If

                End If


            Catch ex As Exception

            Finally
                objCon.Close()
            End Try
        End If
    End Sub
    Sub ClearControls()
        txtAmount.Text = ""
        chkProofAttach.Checked = False
        txtReason.Text = ""
    End Sub

    Protected Sub btnDelete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        ExicuteDML("delete from  80CCG where SrNo=" + hdsrno.Value + " and EmployeeCode='" + strEmployeeId + "'")
        btnSave.Enabled = False
        btnDelete.Enabled = False
        btnAdd.Enabled = True
        btnEdit.Enabled = False
        UpdateDateTime("80CCG")
        lblMessage.Text = "Record delete successfully."
        lblMessage.ForeColor = Color.Green
        ClearControls()
    End Sub

    Sub UpdateDateTime(ByVal category As String)
        ExicuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + "# where category='" + category + "'")
    End Sub

    Protected Sub btnAdd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        If btnAdd.Text = "Add" Then
            If Convert.ToDouble(txtAmount.Text) <> 0.0 Then
                ExicuteDML("Insert Into 80CCG (EmployeeCode,Amount,IsProofAttach,Isproofapproved,Reason,isproofreject,EmpInsert) Values ('" & strEmployeeId & "'," & txtAmount.Text & "," & chkProofAttach.Checked.ToString() & "," & chkproofapproved.Checked.ToString() & ",''," & chkproofreject.Checked.ToString() & ",#" + Date.Now.ToString() + "#)")
                ShowData()
                UpdateDateTime("80CCG")
                lblMessage.Text = "Record add successfully."
                lblMessage.ForeColor = Color.Green
                'ClearControls()
            Else
                lblMessage.Text = "Amount can not be zero"
                lblMessage.ForeColor = Color.Red
            End If
        Else
            EnableDisable(True)
            btnAdd.Enabled = False
            btnSave.Enabled = True
            btnDelete.Enabled = False

        End If

    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
        If Convert.ToDouble(txtAmount.Text) <> 0.0 Then
            If Session("EmpId").ToString().Equals("Admin") Then
                ExicuteDML("update 80CCG set   Amount=" + txtAmount.Text + ", IsProofAttach=" + chkProofAttach.Checked.ToString() + ",Isproofapproved=" + chkproofapproved.Checked.ToString() + ",Reason='" + txtReason.Text.Replace("'", "''") + "',isproofreject=" + chkproofreject.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where srno=" + hdsrno.Value + " and EmployeeCode='" + strEmployeeId + "'")
            Else
                ExicuteDML("update 80CCG set  Amount=" + txtAmount.Text + ", IsProofAttach=" + chkProofAttach.Checked.ToString() + ",Isproofapproved=" + chkproofapproved.Checked.ToString() + ",Reason='" + txtReason.Text.Replace("'", "''") + "',isproofreject=" + chkproofreject.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where srno=" + hdsrno.Value + " and EmployeeCode='" + strEmployeeId + "'")
                btnAdd.Enabled = True
            End If

            UpdateDateTime("80CCG")
            lblMessage.Text = "Record Update successfully."
            lblMessage.ForeColor = Color.Green
        Else
            lblMessage.Text = "Amount can not be zero"
            lblMessage.ForeColor = Color.Red
        End If
        btnSave.Enabled = False
        btnDelete.Enabled = False

        ClearControls()
        ShowData()
    End Sub

    Sub EnableDisable(ByVal blnFlag As Boolean)
        txtAmount.Enabled = blnFlag
        txtReason.Enabled = blnFlag

        If Session("EmpId").ToString().Equals("Admin") Then
            chkproofapproved.Enabled = blnFlag
            chkproofreject.Enabled = blnFlag
            btnDelete.Enabled = False
        Else
            chkProofAttach.Enabled = blnFlag
        End If
    End Sub

    Sub ShowData()
        If UpdatePanel1.Visible = True Then
            Dim dsCCG As New DataSet
            dsCCG = Data("Select * from 80CCG where EmployeeCode ='" & strEmployeeId & "'")
            If dsCCG.Tables(0).Rows.Count > 0 Then
                ' btnAdd.Text = "EDIT"
                btnEdit.Enabled = True
                btnAdd.Enabled = False
                EnableDisable(False)
                'btnAdd.Enabled = True

                txtAmount.Text = dsCCG.Tables(0).Rows(0)("Amount")
                txtReason.Text = dsCCG.Tables(0).Rows(0)("Reason")
                hdsrno.Value = dsCCG.Tables(0).Rows(0)("SrNo")
                If dsCCG.Tables(0).Rows(0)("IsProofAttach") = True Then
                    chkProofAttach.Checked = True
                End If
                If dsCCG.Tables(0).Rows(0)("Isproofapproved") = True Then
                    chkproofapproved.Checked = True
                End If
                If dsCCG.Tables(0).Rows(0)("isproofreject") = True Then
                    chkproofreject.Checked = True
                End If
            Else
                btnAdd.Text = "Add"
                EnableDisable(True)
                btnAdd.Enabled = True
                btnEdit.Enabled = False
            End If
            dsCCG.Dispose()

        End If
    End Sub
    Protected Sub btnEdit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        btnEdit.Enabled = False
        btnAdd.Enabled = False
        btnSave.Enabled = True
        btnDelete.Enabled = True
    End Sub

End Class
'Ver 3.2-E450 End