﻿Imports System.Data
Imports System.Data.OleDb
Imports System.Drawing
Partial Class UserControls_80DDB
    Inherits System.Web.UI.UserControl
    Dim strconn As String
    Dim strEmployeeId As String

    Protected Function ExecuteDML(ByVal strQuery As String) As Integer
        Return General.ExecuteDML(strconn, strQuery)
    End Function

    Function Data(ByVal strQuery As String) As DataSet
        Dim ds As DataSet = New DataSet()
        Dim da As OleDbDataAdapter = New OleDbDataAdapter(strQuery, strconn)
        da.Fill(ds)
        Return ds
    End Function

    Sub UpdateDateTime(ByVal category As String)
        Dim i = ExecuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + "# where category='" + category + "'")
        If (i = 0) Then
            ExecuteDML("insert into categoryLOG(category) values ('80DDB')")
            ExecuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + " # where category ='" + category + "'")

        End If
    End Sub

    Protected Sub btnAdd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAdd.Click

        If btnAdd.Text = "Add" Then
            If Convert.ToDouble(txtAmount.Text) <> 0.0 Then
                ExecuteDML("Insert Into 80DDB (EmployeeCode,Amount,IsProofAttach,EmpInsert) Values ('" & strEmployeeId & "'," & txtAmount.Text & "," & chkProofAttach.Checked.ToString() & ",#" + Date.Now.ToString() + "#)")
                ShowData()
                UpdateDateTime("80DDB")
                lblMessage.Text = "Record add successfully."
                lblMessage.ForeColor = Color.Green
            Else
                lblMessage.Text = "Amount can not be zero"
                lblMessage.ForeColor = Color.Red
            End If
        Else
            EnableDisable(True)
            btnAdd.Enabled = False
            btnSave.Enabled = True
            btnDelete.Enabled = True

        End If
    End Sub
    Sub ShowData()
        If UpdatePanel1.Visible = True Then
            Dim dsCCG As New DataSet
            dsCCG = Data("Select * from 80DDB where EmployeeCode ='" & strEmployeeId & "'")
            If dsCCG.Tables(0).Rows.Count > 0 Then
                btnEdit.Enabled = True
                btnAdd.Enabled = False
                EnableDisable(False)
                txtAmount.Text = dsCCG.Tables(0).Rows(0)("Amount")
                hdsrno.Value = dsCCG.Tables(0).Rows(0)("SrNo")
                If dsCCG.Tables(0).Rows(0)("IsProofAttach") = True Then
                    chkProofAttach.Checked = True
                End If
            Else
                EnableDisable(True)
                btnAdd.Enabled = True
                btnEdit.Enabled = False
            End If
            dsCCG.Dispose()

        End If
    End Sub
    Sub EnableDisable(ByVal blnFlag As Boolean)
        txtAmount.Enabled = blnFlag

        If Session("EmpId").ToString().Equals("Admin") Then
            btnDelete.Enabled = False
        Else
            chkProofAttach.Enabled = blnFlag
        End If
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
        If Convert.ToDouble(txtAmount.Text) <> 0.0 Then
            If Session("EmpId").ToString().Equals("Admin") Then
                ExecuteDML("update 80DDB set   Amount=" + txtAmount.Text + ", IsProofAttach=" + chkProofAttach.Checked.ToString() + "# where srno=" + hdsrno.Value + " And EmployeeCode='" + strEmployeeId + "'")
            Else
                ExecuteDML("update 80DDB set  Amount=" + txtAmount.Text + ", IsProofAttach=" + chkProofAttach.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where srno=" + hdsrno.Value + " and EmployeeCode='" + strEmployeeId + "'")
                btnAdd.Enabled = True
            End If

            UpdateDateTime("80DDB")
            lblMessage.Text = "Record Update successfully."
            lblMessage.ForeColor = Color.Green
        Else
            lblMessage.Text = "Amount can not be zero"
            lblMessage.ForeColor = Color.Red
        End If
        btnSave.Enabled = False
        btnDelete.Enabled = False

        ClearControls()
        ShowData()
    End Sub
    Sub ClearControls()
        txtAmount.Text = ""
        chkProofAttach.Checked = False
    End Sub

    Protected Sub btnDelete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        ExecuteDML("delete from  80DDB where SrNo=" + hdsrno.Value + " and EmployeeCode='" + strEmployeeId + "'")
        btnSave.Enabled = False
        btnDelete.Enabled = False
        btnEdit.Enabled = False
        btnAdd.Enabled = True
        UpdateDateTime("80DDB")
        lblMessage.Text = "Record delete successfully."
        lblMessage.ForeColor = Color.Green
        ClearControls()
    End Sub
    Private Function ChkTblExists(ByVal strConnectionString As String, ByVal strTblName As String) As Boolean
        Try
            Dim con As New OleDb.OleDbConnection(strConnectionString)
            con.Open()
            Dim dbSchema As DataTable = con.GetOleDbSchemaTable(OleDb.OleDbSchemaGuid.Tables, New Object() {Nothing, Nothing, strTblName, "TABLE"})
            If dbSchema.Rows.Count > 0 Then
                Return True
            Else
                Return False
            End If
            con.Close()
            Return True
        Catch ex As Exception
            Return False
        End Try
    End Function
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        strconn = Session("invConnection").ToString()

        Dim objInvestmentDec As New OleDbConnection(strconn)
        Dim objCmd As OleDbCommand = objInvestmentDec.CreateCommand()
        If Not ChkTblExists(Session("invConnection"), "80DDB") Then
            Try
                objInvestmentDec.Open()
                objCmd.CommandText = "Create table 80DDB (SrNo autoincrement,EmployeeCode varchar(20),Amount Text,IsProofAttach yesno,Isproofapproved yesno,Reason memo,isproofreject yesno,EmpInsert datetime,EmpUpdate datetime,AdminUpdate datetime )"
                objCmd.ExecuteNonQuery()
            Catch ex As Exception
            Finally
                objInvestmentDec.Close()
            End Try
        End If

        If Session("EmpId").ToString().Equals("Admin") Then
            chkProofAttach.Enabled = False
            strEmployeeId = Session("SelectedEmpId").ToString()
        Else
            strEmployeeId = Session("EmpId").ToString()
        End If

        Dim dscd As New DataSet
        dscd = Data("Select * from 80DDB where EmployeeCode ='" & strEmployeeId & "'")
        If dscd.Tables(0).Rows.Count > 0 Then
            btnAdd.Enabled = False
            btnEdit.Enabled = True
        Else
            btnAdd.Enabled = True
            btnEdit.Enabled = False
        End If

        If Not Page.IsPostBack Then
            Try
                ShowData()
            Catch ex As Exception
                If ex.Message.Contains("cannot find the input table") Then
                    If Not Session("EmpId").ToString().ToLower() = "admin" Then
                        lblMessage.Text = "This option is not active.Please contact administrator."
                    Else
                        lblMessage.Text = "Please update database."
                    End If

                    btnAdd.Enabled = False
                End If
            End Try

        End If
    End Sub
    Protected Sub btnEdit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        btnEdit.Enabled = False
        btnAdd.Enabled = False
        btnSave.Enabled = True
        btnDelete.Enabled = True
    End Sub
End Class
