﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="ELSS.ascx.vb" Inherits="UserControls_ELSS" %>
<style type="text/css">
    .style1
    {
        width: 213px;
    }
</style>
<p>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <fieldset>
                <legend><b>80C - ELSS</b></legend>
                <asp:Panel ID="Panel1" runat="server">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" GridLines="None"
                                    OnRowCancelingEdit="GridView1_RowCancelingEdit" OnRowDeleting="GridView1_RowDeleting"
                                    OnRowEditing="GridView1_RowEditing" OnRowUpdating="GridView1_RowUpdating" Width="792px"
                                    CellPadding="1" CellSpacing="1">
                                    <Columns>
                                        <asp:TemplateField HeaderText="Sr. No." SortExpression="State">
                                            <ItemTemplate>
                                                <asp:Label ID="lblSrno" runat="server" Text='<%#Container.DataItemIndex + 1%>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Name of Scheme">
                                            <ItemTemplate>
                                                <asp:Label ID="lblSchemeName" runat="server" Text='<%# Bind("SchemeName") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="RelationShip" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:Label ID="lblRelationship" runat="server" Text='<%# Bind("Relationship") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Date of Payment" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:Label ID="lblDateofPayment" runat="server" Text='<%# Bind("DateofPayment") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField ItemStyle-HorizontalAlign="Right" HeaderText="Amount" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:Label ID="lblAmount" Style="text-align: right" runat="server" Text='<%# Bind("Amount") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Receipt/Statement from Mutual Fund" SortExpression="qt">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:CheckBox ID="chkReceipt_Statement" Enabled="false" runat="server" Checked='<%# Bind("Receipt_Statement") %>' /><center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Proof Accepted" SortExpression="qt" ItemStyle-HorizontalAlign="Center">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkproofapproved" Enabled="false" runat="server" Checked='<%# Bind("Isproofapproved") %>' />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Proof Rejected" SortExpression="qt" ItemStyle-HorizontalAlign="Center">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkproofreject" Enabled="false" runat="server" Checked='<%# Bind("isproofreject") %>' />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Reason" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:TextBox ID="txtReason" Enabled="false" runat="server" CssClass="txtbox" Text='<%# Bind("Reason") %>'
                                                    TextMode="MultiLine"></asp:TextBox>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Sr. No." SortExpression="State" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label ID="lblSr" runat="server" Text='<%#Bind("SrNo")%>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="" ShowHeader="False">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="False" CommandName="Edit"
                                                    ForeColor="Blue" Text="Edit"></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                    <HeaderStyle CssClass="GrdHeader" />
                                    <AlternatingRowStyle CssClass="gvAlterNetRowStyle" />
                                </asp:GridView>
                            </td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold">
                                Total ELSS Investment for the year :&nbsp;
                                <asp:Label ID="txtTotalAmount" Style="text-align: right" runat="server"></asp:Label>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </fieldset>
            </p>
            <table style="width: 99%;">
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label1" runat="server" Text="Name Of Scheme" Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtSchemeName" runat="server" Width="144px" CssClass="txtbox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="txtSchemeName"
                            ErrorMessage="*" ValidationGroup="elss"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ControlToValidate="txtSchemeName"
                            ErrorMessage="Comma not allowed" ValidationExpression="[^,]+" ValidationGroup="elss"></asp:RegularExpressionValidator>
                    </td>
                    <td rowspan="8">
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label2" runat="server" Text="RelationShip" Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlrelationship" runat="server" CssClass="cnDropDown">
                            <asp:ListItem>Self</asp:ListItem>
                            <asp:ListItem>Spouse</asp:ListItem>
                            <asp:ListItem>Children</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        <b>
                            <asp:Label ID="Label3" runat="server" Text="Date of Payment"></asp:Label>
                            &nbsp;(dd-mm-yyyy)</b>
                    </td>
                    <td>
                        <asp:TextBox ID="txtDateofPayment" runat="server" CssClass="txtbox" Width="144px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtDateofPayment"
                            ErrorMessage="*" ValidationGroup="elss"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtDateofPayment"
                            ErrorMessage="Date Error" ValidationExpression="^(0[1-9]|[12][0-9]|3[01])[- /.](0[1-9]|1[012])[- /.](19|20)\d\d$"
                            ValidationGroup="elss"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label4" runat="server" Text="Amount" Style="font-weight: 700"></asp:Label><img
                            src="<%= Session("img")  %>" />
                    </td>
                    <td>
                        <asp:TextBox ID="txtAmount" Style="text-align: right" runat="server" Width="144px"
                            CssClass="txtNumbox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="txtAmount"
                            ErrorMessage="*" ValidationGroup="elss"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="sds" runat="server" ControlToValidate="txtAmount"
                            ValidationGroup="elss" ErrorMessage="Enter proper value" ValidationExpression="^[-+]?[0-9]\d{0,9}(\.\d{1,4})?%?$"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label10" runat="server" Text="Receipt / Statement from Mutual Fund"
                            Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="chkR_S" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="lblIsproofapproved" runat="server" Text="Is proof approved" Visible="False"
                            Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="chkproofapproved" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="lblisproofreject" runat="server" Text="Is Proof Reject" Visible="False"
                            Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="chkproofreject" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="lblreson" runat="server" Text="Reason" Visible="False" Style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtReason" runat="server" Width="144px" Visible="False" CssClass="txtbox"
                            Height="16px"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator5" runat="server" ControlToValidate="txtReason"
                            ErrorMessage="Comma not allowed" ValidationExpression="[^,]+" ValidationGroup="elss"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        <asp:UpdateProgress ID="sa" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
                            <ProgressTemplate>
                                <div style="color: Red; width: 159px;">
                                    <asp:Image ID="Image1" runat="server" ImageUrl="~/IMAGES/loading.gif" />
                                    &nbsp;&nbsp;&nbsp;<b>Please Wait.. </b>
                                </div>
                            </ProgressTemplate>
                        </asp:UpdateProgress>
                    </td>
                </tr>
                <tr>
                    <td align="left" colspan="2">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Button ID="btnAdd" runat="server" Text="Add" ValidationGroup="elss" Width="66px" />
                        <asp:Button ID="btnSave" runat="server" Enabled="False" Text="Save" ValidationGroup="elss"
                            Width="75px" />
                        <asp:Button ID="btnDelete" runat="server" Enabled="False" Text="Delete" ValidationGroup="elss"
                            Width="60px" />
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        <asp:Label ID="lblMessage" runat="server" Style="font-weight: 700"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:HiddenField ID="hdsrno" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        function panelUpdated() {
            if (document.getElementById("<%=chkproofreject.ClientID %>") != null) {
                document.getElementById("<%=chkproofreject.ClientID %>").onclick = function () {
                    if (document.getElementById("<%=chkproofapproved.ClientID %>").checked == true) {
                        document.getElementById("<%=chkproofapproved.ClientID %>").checked = false;
                    }

                };
            }
            if (document.getElementById("<%=chkproofreject.ClientID %>") != null) {
                document.getElementById("<%=chkproofapproved.ClientID %>").onclick = function () {
                    if (document.getElementById("<%=chkproofreject.ClientID %>").checked == true) {
                        document.getElementById("<%=chkproofreject.ClientID %>").checked = false;
                    }

                };
            }
    }
    
    var appInst = Sys.WebForms.PageRequestManager.getInstance();
    appInst.add_endRequest(panelUpdated);  
    panelUpdated();
    </script>

    