﻿<%@ control AutoEventWireup="false" CodeFile="HRA.ascx.vb" Inherits="UserControls_HRA" Language="VB" %>
<style type="text/css">



    .style1
    {
        text-align: left;
    }
    .style2
    {
        text-align: center;
        
    }
</style>
<asp:UpdatePanel ID="up1" runat="server">
    <ContentTemplate>
        <table cellpadding="1" cellspacing="1">
            <tr align="left" >
                <b>
                    <asp:RadioButton ID="rdAgreement" runat="server" AutoPostBack="True" Checked="True" GroupName="g1" Text="Agreement" />

                    <caption>
                        &nbsp;
                    <asp:RadioButton ID="rdRentReceipts" runat="server" AutoPostBack="True" GroupName="g1" Text="Rent Receipts" />
                </caption>
                
                </b>
                
            </tr>
            <tr>
                <td align="left">
                    <asp:Panel ID="Panel1" runat="server" 
                        GroupingText="&lt;b&gt;A. Agreement&lt;/b&gt;">
                        <table cellpadding="1" cellspacing="1" style="width: 100%;">
                            <tr class="tblAlternetRow">
                                <td class="style1" style="font-weight: bold;width:150px">
                                    Period :&nbsp;&nbsp;
                                </td>
                                <td style="font-weight: bold">
                                    From&nbsp;:&nbsp;
                                    <asp:Label ID="txtHraPeriodFrom" runat="server"></asp:Label>
                                    &nbsp; To&nbsp;:&nbsp;
                                    <asp:Label ID="txtHraPeriodTo" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td class="style1" style="font-weight: bold">
                                    Rent Amount :
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAgrRntAmt" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Text="0" Width="134px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                                        ControlToValidate="txtAgrRntAmt" ErrorMessage="*" ValidationGroup="hra"></asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" 
                                        ControlToValidate="txtAgrRntAmt" ErrorMessage="Enter proper value" 
                                        ValidationExpression="^[-+]?[0-9]\d{0,9}(\.\d{1,4})?%?$" ValidationGroup="hra"></asp:RegularExpressionValidator>
                                </td>
                            </tr>
                            <tr class="tblAlternetRow">
                                <td class="style1" style="font-weight: bold">
                                    Total Rent for the Year :
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAgrTotalRntAmt" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Text="0" Width="134px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                                        ControlToValidate="txtAgrTotalRntAmt" ErrorMessage="*" ValidationGroup="hra"></asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                                        ControlToValidate="txtAgrTotalRntAmt" ErrorMessage="Enter proper value" 
                                        ValidationExpression="^[-+]?[0-9]\d{0,9}(\.\d{1,4})?%?$" ValidationGroup="hra"></asp:RegularExpressionValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="style1" style="font-weight: bold">
                                    Agreement&nbsp;Proof :
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkAgreementProof" runat="server" />
                                </td>
                            </tr>
                            <tr class="tblAlternetRow">
                                <td class="style1" style="font-weight: bold">
                                    Proof Accepted :&nbsp;
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkIsApproved" runat="server" Enabled="False" />
                                </td>
                            </tr>
                            <tr>
                                <td class="style1" style="font-weight: bold">
                                    Proof Rejected :&nbsp;
                                </td>
                                <td>
                                    <asp:CheckBox ID="ChkIsProofReject" runat="server" Enabled="False" />
                                </td>
                            </tr>
                            <tr class="tblAlternetRow">
                                <td class="style1" style="font-weight: bold;width:200px">
                                    Reason :&nbsp;&nbsp;
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAgrReason" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="138px"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </td>
            </tr>
            <tr>
                <td>
                    <b>OR</b>
                </td>
            </tr>
            <tr>
                <td align="left">
                    <asp:Panel ID="Panel2" runat="server" 
                        GroupingText="&lt;b&gt;B.Rent Receipts&lt;/b&gt;" Width="700px">
                        <table cellpadding="1" cellspacing="1">
                            <tr class="GrdHeader" class="style1" style="width:150px" width="150px">
                                <td>
                                    <b style="text-align: center">MonthName</b>
                                </td>
                                <td class="style2">
                                    <b style="text-align: right">Rent_Amount</b>
                                </td>
                                <td align="right" width="150px">
                                    <b>Proof_Attached</b>
                                </td>
                                <td align="right" width="150px">
                                    <b>Proof_Accepted</b>
                                </td>
                                <td align="right" width="150px">
                                    <b>Proof_Rejected</b>
                                </td>
                                <td align="center" width="150px">
                                    <b>Reason</b>
                                </td>
                            </tr>
                            <tr class="style2">
                                <td class="style1">
                                    <b>April</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtApr" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkApr" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkApr0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkApr1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtApr0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1" width="100px">
                                    <b>May</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtMay" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMay" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMay0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMay1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMay0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center">
                                <td class="style1">
                                    <b>June</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtJun" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJun" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJun0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJun1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtJun0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1">
                                    <b>July</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtJul" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJul" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJul0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJul1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtJul0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center">
                                <td class="style1">
                                    <b>August</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtAug" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkAug" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkAug0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkAug1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAug0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1">
                                    <b>September</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtSep" runat="server" CssClass="txtNumbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkSep" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkSep0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkSep1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtSep0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center">
                                <td class="style1">
                                    <b>October</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtOct" runat="server" CssClass="txtbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkOct" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkOct0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkOct1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtOct0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1">
                                    <b>November</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtNov" runat="server" CssClass="txtbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkNov" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkNov0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkNov1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtNov0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center">
                                <td class="style1">
                                    <b>December</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtDec" runat="server" CssClass="txtbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkDec" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkDec0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkDec1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtDec0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1">
                                    <b>January</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtJan" runat="server" CssClass="txtbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJan" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJan0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkJan1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtJan0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center">
                                <td class="style1">
                                    <b>February</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtFeb" runat="server" CssClass="txtbox" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkFeb" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkFeb0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkFeb1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtFeb0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                            <tr align="center" class="tblAlternetRow">
                                <td class="style1">
                                    <b>March</b>
                                </td>
                                <td class="style2">
                                    <asp:TextBox ID="txtMar" runat="server" CssClass="txtbox" Height="22px" 
                                        Style="text-align: right" Width="96px">0</asp:TextBox>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMar" runat="server" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMar0" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkMar1" runat="server" Enabled="False" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMar0" runat="server" CssClass="txtbox" Enabled="False" 
                                        Width="200px">0</asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </td>
            </tr>
            <tr>
                <td>
                    <b>Total Rent for the :</b>
                    <asp:TextBox ID="txtHraTotalRent" runat="server" CssClass="txtNumbox" 
                        Enabled="False" Style="text-align: right">0</asp:TextBox>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnHraSave" runat="server" Text="Save" ValidationGroup="hra" 
                        Width="81px" />
                </td>
            </tr>
            <tr>
             
                 <td align="left">
                    <asp:Panel ID="Panel3" runat="server" 
                        GroupingText="&lt;b&gt;Landlord Information&lt;b&gt;" >

                         <table >
                              <tr>
                    <td >

                        <asp:GridView ID="GridLanlord" runat="server" AutoGenerateColumns="False" CellPadding="1" CellSpacing="1" GridLines="None"
                             OnRowCancelingEdit="GridLanlord_RowCancelingEdit" OnRowDeleting="GridLanlord_RowDeleting"
                                    OnRowEditing="GridLanlord_RowEditing" OnRowUpdating="GridLanlord_RowUpdating" Width="720px" EnableModelValidation="True" >
                            <Columns>
                                <asp:TemplateField HeaderText="Sr. No." SortExpression="State">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSrno" runat="server" Text="<%#Container.DataItemIndex + 1%>"></asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Landlord Name">
                                    <ItemTemplate>
                                        <asp:Label ID="lblLandlordName" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Landlord Address" >
                                    <ItemTemplate>
                                        <asp:Label ID="lblLandlordAddress" runat="server" Text='<%# Bind("Address") %>'></asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="PAN Number">
                                    <ItemTemplate>
                                        <asp:Label ID="lblPANNumber" runat="server" Text='<%# Bind("PANNumber") %>'></asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" />
                                </asp:TemplateField>
                               
                                <asp:TemplateField HeaderText="Sr. No." SortExpression="State" Visible="false">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSr" runat="server" Text='<%#Bind("SrNo")%>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="" ShowHeader="False">
                                    <EditItemTemplate>
                                        <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update" ForeColor="Red" Text="Update"></asp:LinkButton>
                                        <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel" ForeColor="Red" Text="Cancel"></asp:LinkButton>
                                    </EditItemTemplate>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="False" CommandName="Edit" ForeColor="Blue" Text="Edit"></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                       
                            
                         
                            <AlternatingRowStyle CssClass="gvAlterNetRowStyle" />
                                 <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                    <HeaderStyle CssClass="GrdHeader" />                                   
                                    <AlternatingRowStyle CssClass="gvAlterNetRowStyle"/>


                        </asp:GridView>






                        </td>

                </tr>

                             </table>

                       </p>
                        
                        <table>

       
                           
                            <tr>
                                <td class="style1">
                                    <asp:Label ID="Label4" runat="server" style="font-weight: 700" Text="Name of the Landlord"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtName" runat="server" CssClass="txtbox" Height="17px" MaxLength="75" Style="text-align: left" Width="143px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtName" ErrorMessage="*" ValidationGroup="LAN"></asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ControlToValidate="txtName" ErrorMessage="Invalid Name" ValidationExpression="^[a-zA-Z0-9 ]+$" ValidationGroup="LAN"></asp:RegularExpressionValidator>
                                </td>
                            </tr>
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label5" runat="server" Text="Address of the Landlord" 
                            style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtAddress" Style="text-align: left" runat="server" CssClass="txtbox"
                            Height="22px" Width="143px" TextMode="MultiLine" MaxLength="255"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtAddress"
                            ErrorMessage="*" ValidationGroup="LAN"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr >
                    <td class="style1">
                        <asp:Label ID="Label1" runat="server" Text="PAN of the Landlord"  
                            style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtPAN" Style="text-align: left" runat="server" CssClass="txtbox"
                            Height="17px" Width="143px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtPAN"
                            ErrorMessage="*" ValidationGroup="LAN"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="txtPAN"
                            ErrorMessage="Invalid PAN Number" ValidationExpression="^[A-Za-z]{3}[A|B|C|F|G|H|L|J|P|T|a|b|c|f|g|h|l|j|p|t]{1}[A-Za-z]{1}[0-9]{4}[A-Za-z]{1}$"
                            ValidationGroup="LAN"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                
               
  

                             <tr>
                    <td align="left" colspan="2">
                     
                       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;<asp:Button ID="btnAdd" runat="server" Text="Add" ValidationGroup="LAN" Width="66px" />
                        <asp:Button ID="btnSave" runat="server" Enabled="False" Text="Save" ValidationGroup="LAN"
                            Width="75px" />
                        <asp:Button ID="btnDelete" runat="server" Enabled="False" Text="Delete" ValidationGroup="LAN"
                            Width="60px" />
                    </td>
                </tr>
                            </table>
                        </asp:Panel>
                     </td>
            </tr>
            <tr>
                <td align="center" style="height: 18px">
                    <asp:UpdateProgress ID="sa" runat="server" AssociatedUpdatePanelID="up1">
                        <ProgressTemplate>
                            <div style="color: Red">
                                <asp:Image ID="Image1" runat="server" ImageUrl="~/IMAGES/loading.gif" />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Please Wait..</b>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td align="center" style="height: 18px">
                    <asp:Label ID="lblMessage" runat="server" Style="font-weight: 700; font-size: small;
                        font-family: Arial"></asp:Label>
                    <asp:HiddenField ID="hdval" runat="server" />
                    <asp:HiddenField ID="hdsrno" runat="server" />
                </td>
            </tr>
        </table>

        <script type="text/javascript">






     var cid;
     document.onload=SwitchPanal()
     document.onload=ff()
     function chkzero()
     {
        if(parseFloat(IsNumeric(document.getElementById("<%= txtApr.ClientID %>").value))!=0){document.getElementById("<%=chkApr.ClientID %>").disabled=false;}else{document.getElementById("<%=chkApr.ClientID %>").checked=false;document.getElementById("<%=chkApr.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtMay.ClientID %>").value))!=0){document.getElementById("<%=chkMay.ClientID %>").disabled=false;}else{document.getElementById("<%=chkMay.ClientID %>").checked=false;document.getElementById("<%=chkMay.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtJun.ClientID %>").value))!=0){document.getElementById("<%=chkJun.ClientID %>").disabled=false;}else{document.getElementById("<%=chkJun.ClientID %>").checked=false;document.getElementById("<%=chkJun.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtJul.ClientID %>").value))!=0){document.getElementById("<%=chkJul.ClientID %>").disabled=false;}else{document.getElementById("<%=chkJul.ClientID %>").checked=false;document.getElementById("<%=chkJul.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtAug.ClientID %>").value))!=0){document.getElementById("<%=chkAug.ClientID %>").disabled=false;}else{document.getElementById("<%=chkAug.ClientID %>").checked=false;document.getElementById("<%=chkAug.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtSep.ClientID %>").value))!=0){document.getElementById("<%=chkSep.ClientID %>").disabled=false;}else{document.getElementById("<%=chkSep.ClientID %>").checked=false;document.getElementById("<%=chkSep.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtOct.ClientID %>").value))!=0){document.getElementById("<%=chkOct.ClientID %>").disabled=false;}else{document.getElementById("<%=chkOct.ClientID %>").checked=false;document.getElementById("<%=chkOct.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtNov.ClientID %>").value))!=0){document.getElementById("<%=chkNov.ClientID %>").disabled=false;}else{document.getElementById("<%=chkNov.ClientID %>").checked=false;document.getElementById("<%=chkNov.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtDec.ClientID %>").value))!=0){document.getElementById("<%=chkDec.ClientID %>").disabled=false;}else{document.getElementById("<%=chkDec.ClientID %>").checked=false;document.getElementById("<%=chkDec.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtJan.ClientID %>").value))!=0){document.getElementById("<%=chkJan.ClientID %>").disabled=false;}else{document.getElementById("<%=chkJan.ClientID %>").checked=false;document.getElementById("<%=chkJan.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtFeb.ClientID %>").value))!=0){document.getElementById("<%=chkFeb.ClientID %>").disabled=false;}else{document.getElementById("<%=chkFeb.ClientID %>").checked=false;document.getElementById("<%=chkFeb.ClientID %>").disabled=true;}
   if(parseFloat(IsNumeric(document.getElementById("<%= txtMar.ClientID %>").value))!=0){document.getElementById("<%=chkMar.ClientID %>").disabled=false;}else{document.getElementById("<%=chkMar.ClientID %>").checked=false;document.getElementById("<%=chkMar.ClientID %>").disabled=true;}
     }
     function SwitchPanal()
     {
     if(document.getElementById("<%=rdAgreement.ClientID %>").checked==true)
     {
          document.getElementById("<%=Panel1.ClientID %>").disabled=false;
          document.getElementById("<%=Panel2.ClientID %>").disabled=true;
     }
     if(document.getElementById("<%=rdRentReceipts.ClientID %>").checked==true)
     {
          document.getElementById("<%=Panel1.ClientID %>").disabled=true;
          document.getElementById("<%=Panel2.ClientID %>").disabled=false;
     }

     }
     
     function ff()
     {
    
      if(document.getElementById("<%=hdval.ClientID %>").value==true)
     {
     document.getElementById("<%=Panel1.ClientID %>").disabled=false;
          document.getElementById("<%=Panel2.ClientID %>").disabled=true;

     }
     if(document.getElementById("<%=hdval.ClientID %>").value==true)
     {
             document.getElementById("<%=Panel1.ClientID %>").disabled=true;
          document.getElementById("<%=Panel2.ClientID %>").disabled=false;
     }
     if(document.getElementById("<%=hdval.ClientID %>").value==true)
     {
             document.getElementById("<%=Panel1.ClientID %>").disabled=false;
          document.getElementById("<%=Panel2.ClientID %>").disabled=false;
     }     
     }
     
    function Sum(ctrid)
    {
    chkzero();
    cid=ctrid;
    var sum=0;
    try
    {
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtApr.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtMay.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtJun.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtJul.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtAug.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtSep.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtOct.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtNov.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtDec.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtJan.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtFeb.ClientID %>").value));
    sum=sum+parseFloat(IsNumeric(document.getElementById("<%= txtMar.ClientID %>").value));
    document.getElementById("<%= txtHraTotalRent.ClientID %>").value=sum;
    }
    catch(err)
    {
 document.getElementById(cid).value="0";
    }    
    }
    function IsNumeric(strString)

   {
   var strValidChars = "0123456789.-";
   var strChar;
   var blnResult = true;

   if (strString.length == 0) return false;  
   for (i = 0; i < strString.length && blnResult == true; i++)
      {
      strChar = strString.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
         {
         blnResult = false;
         }
      }
   if(blnResult==true)
   return strString;
   else{
      document.getElementById(cid).value="0";
   return "0";
   }
   }  
        </script>

        <script type="text/javascript">





    
 function panelUpdated()
 {
            document.getElementById("<%=chkApr0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkApr0.ClientID %>").checked==true){
            document.getElementById("<%=chkApr1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkApr1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkApr1.ClientID %>").checked==true){
            document.getElementById("<%=chkApr0.ClientID %>").checked=false;}           
            };
            
            document.getElementById("<%=chkMay0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkMay0.ClientID %>").checked==true){
            document.getElementById("<%=chkMay1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkMay1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkMay1.ClientID %>").checked==true){
            document.getElementById("<%=chkMay0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkJun0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJun0.ClientID %>").checked==true){
            document.getElementById("<%=chkJun1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkJun1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJun1.ClientID %>").checked==true){
            document.getElementById("<%=chkJun0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkJul0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJul0.ClientID %>").checked==true){
            document.getElementById("<%=chkJul1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkJul1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJul1.ClientID %>").checked==true){
            document.getElementById("<%=chkJul0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkAug0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkAug0.ClientID %>").checked==true){
            document.getElementById("<%=chkAug1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkAug1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkAug1.ClientID %>").checked==true){
            document.getElementById("<%=chkAug0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkSep0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkSep0.ClientID %>").checked==true){
            document.getElementById("<%=chkSep1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkSep1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkSep1.ClientID %>").checked==true){
            document.getElementById("<%=chkSep0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkOct0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkOct0.ClientID %>").checked==true){
            document.getElementById("<%=chkOct1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkOct1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkOct1.ClientID %>").checked==true){
            document.getElementById("<%=chkOct0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkNov0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkNov0.ClientID %>").checked==true){
            document.getElementById("<%=chkNov1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkNov1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkNov1.ClientID %>").checked==true){
            document.getElementById("<%=chkNov0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkDec0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkDec0.ClientID %>").checked==true){
            document.getElementById("<%=chkDec1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkDec1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkDec1.ClientID %>").checked==true){
            document.getElementById("<%=chkDec0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkJan0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJan0.ClientID %>").checked==true){
            document.getElementById("<%=chkJan1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkJan1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkJan1.ClientID %>").checked==true){
            document.getElementById("<%=chkJan0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkFeb0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkFeb0.ClientID %>").checked==true){
            document.getElementById("<%=chkFeb1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkFeb1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkFeb1.ClientID %>").checked==true){
            document.getElementById("<%=chkFeb0.ClientID %>").checked=false;}           
            };
            
             document.getElementById("<%=chkMar0.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkMar0.ClientID %>").checked==true){
            document.getElementById("<%=chkMar1.ClientID %>").checked=false;}           
            };
            document.getElementById("<%=chkMar1.ClientID %>").onclick =function()
            {
            if(document.getElementById("<%=chkMar1.ClientID %>").checked==true){
            document.getElementById("<%=chkMar0.ClientID %>").checked=false;}           
            };
            
              document.getElementById("<%=ChkIsProofReject.ClientID %>").onclick =function()
        {
            if(document.getElementById("<%=chkIsApproved.ClientID %>").checked==true){
            document.getElementById("<%=chkIsApproved.ClientID %>").checked=false;}
           
        };
        document.getElementById("<%=chkIsApproved.ClientID %>").onclick =function()
        {
            if(document.getElementById("<%=ChkIsProofReject.ClientID %>").checked==true){
            document.getElementById("<%=ChkIsProofReject.ClientID %>").checked=false;}
          
        };
 }
        
          var appInst = Sys.WebForms.PageRequestManager.getInstance();
    appInst.add_endRequest(panelUpdated);  
    panelUpdated();
        </script>

    </ContentTemplate>
</asp:UpdatePanel>
