﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="OtherInvestment.ascx.vb" Inherits="UserControls_OtherInvestment" %>

<style type="text/css">
    .style1
    {
        width: 213px;
    }
    .lbl
    {        font-weight: 700;
    }
</style>
<p>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <fieldset>
                <legend><b>Other Investment</b></legend>
                <asp:Panel ID="Panel1" runat="server">
                    <table>
                        <tr>
                            <td>
                                <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
                                     OnRowCancelingEdit="GridView1_RowCancelingEdit" OnRowDeleting="GridView1_RowDeleting"
                                    OnRowEditing="GridView1_RowEditing" OnRowUpdating="GridView1_RowUpdating" Width="707px"
                                  CellPadding="1" CellSpacing="1" GridLines="None">
                                   
                                    <Columns>
                                        <asp:TemplateField HeaderText="Sr. No." SortExpression="State">
                                            <ItemTemplate>
                                                <asp:Label ID="lblSrno" runat="server" Text='<%#Container.DataItemIndex + 1%>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField ItemStyle-HorizontalAlign="Right" HeaderText="Amount" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:Label ID="lblAmount" runat="server" Text='<%# Bind("Amount") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Proof Attach" SortExpression="qt"  ItemStyle-HorizontalAlign="Center">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkIsProofAttach" Enabled="false" runat="server" Checked='<%# Bind("IsProofAttach") %>' />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Reason" SortExpression="qt">
                                            <ItemTemplate>
                                                <asp:TextBox ID="txtReason" Enabled="false" CssClass="txtbox" runat="server" Text='<%# Bind("Reason") %>'
                                                    TextMode="MultiLine"></asp:TextBox>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Sr. No." SortExpression="State" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label ID="lblSr" runat="server" Text='<%#Bind("SrNo")%>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="" ShowHeader="False">
                                            <EditItemTemplate>
                                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update"
                                                    ForeColor="Red" Text="Update"></asp:LinkButton>
                                                <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel"
                                                    ForeColor="Red" Text="Cancel"></asp:LinkButton>
                                            </EditItemTemplate>
                                            <ItemTemplate>
                                                <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="False" CommandName="Edit"
                                                    ForeColor="Blue" Text="Edit"></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                   <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                    <HeaderStyle CssClass="GrdHeader" HorizontalAlign="Center"/>                                   
                                    <AlternatingRowStyle CssClass="gvAlterNetRowStyle"/>
                                </asp:GridView>
                            </td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold" align="left">
                                Total Other Investment for the year :&nbsp;
                                <asp:Label ID="txtTotalAmount" Style="text-align: right" runat="server"></asp:Label>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </fieldset>
            </p>
            <table style="width: 99%;">
                <tr>
                    <td class="style1">
                        <asp:Label ID="Label4" runat="server" Text="Amount" style="font-weight: 700"></asp:Label>
                        <img src="<%= Session("img")  %>" /></td>
                    <td>
                        <asp:TextBox ID="txtAmount" Style="text-align: right" runat="server" 
                            CssClass="txtNumbox" Height="17px" Width="143px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtAmount"
                            ErrorMessage="*" ValidationGroup="oth"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ControlToValidate="txtAmount"
                            ErrorMessage="Enter proper value" ValidationExpression="^[-+]?[0-9]\d{0,9}(\.\d{1,4})?%?$"
                            ValidationGroup="oth"></asp:RegularExpressionValidator>
                    </td>
                </tr>

                <tr>
                    <td class="style1">
                        <asp:Label ID="Label5" runat="server" Text="Proof Attach" 
                            style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:CheckBox ID="chkProofAttach" runat="server" />
                    </td>
                </tr>

                <tr>
                    <td class="style1">
                        <asp:Label ID="lblreson" runat="server" Text="Reason" Visible="True" 
                            style="font-weight: 700"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtReason" runat="server" Width="144px" Visible="True" 
                            CssClass="txtbox" Height="16px"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator5" runat="server" ControlToValidate="txtReason"
                            ErrorMessage="Comma not allowed" ValidationExpression="[^,]+" ValidationGroup="oth"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        <asp:UpdateProgress ID="sa" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
                            <ProgressTemplate>
                                <div style="color: Red">
                                    <asp:Image ID="Image1" runat="server" ImageUrl="~/IMAGES/loading.gif" />
                                    &nbsp;&nbsp;&nbsp;<b>Please Wait.. </b>
                                </div>
                            </ProgressTemplate>
                        </asp:UpdateProgress>
                    </td>
                </tr>
                <tr>
                    <td align="left" colspan="2">
                          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
               <asp:Button ID="btnAdd" runat="server" Text="Add" ValidationGroup="oth" Width="66px" />
                        <asp:Button ID="btnSave" runat="server" Enabled="False" Text="Save" ValidationGroup="oth"
                            Width="75px" />
                        <asp:Button ID="btnDelete" runat="server" Enabled="False" Text="Delete" ValidationGroup="oth"
                            Width="60px" />
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        <asp:Label ID="lblMessage" runat="server" Style="font-weight: 700"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:HiddenField ID="hdsrno" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>

    