﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="TermDeposit.ascx.vb"
    Inherits="UserControls_TermDeposit" %>
<style type="text/css">
    .style1
    {
        width: 226px;
    }
</style>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
        <fieldset>
            <legend><b>80C - Term Deposit for more than 5 Years</b></legend>
            <asp:Panel ID="Panel1" runat="server">
                <table style="width: 100%;">
                    <tr>
                        <td>
                            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" GridLines="None"
                                OnRowCancelingEdit="GridView1_RowCancelingEdit"
                                OnRowDeleting="GridView1_RowDeleting" OnRowEditing="GridView1_RowEditing" OnRowUpdating="GridView1_RowUpdating"
                                Width="792px" CellPadding="1" CellSpacing="1" >
                              
                                <Columns>
                                    <asp:TemplateField HeaderText="Sr. No." SortExpression="State">
                                        <ItemTemplate>
                                            <asp:Label ID="lblSrno" runat="server" Text='<%#Container.DataItemIndex + 1%>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Name of Bank">
                                        <ItemTemplate>
                                            <asp:Label ID="lblBankName" runat="server" Text='<%# Bind("BankName") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Date of Payment" SortExpression="qt">
                                        <ItemTemplate>
                                            <asp:Label ID="lblDateofPayment" runat="server" Text='<%# Bind("DateofPayment") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField ItemStyle-HorizontalAlign="Right" HeaderText="Amount" SortExpression="qt">
                                        <ItemTemplate>
                                            <asp:Label ID="lblAmount" runat="server" Text='<%# Bind("Amount") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="DepositReceipt" SortExpression="qt"  ItemStyle-HorizontalAlign="Center">
                                        <ItemTemplate>
                                            <center>
                                                <asp:CheckBox ID="chkDepositReceipt" Enabled="false" runat="server" Checked='<%# Bind("DepositReceipt") %>' /><center>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Proof Accepted" SortExpression="qt"  ItemStyle-HorizontalAlign="Center">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkproofapproved" Enabled="false" runat="server" Checked='<%# Bind("Isproofapproved") %>' />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Proof Rejected" SortExpression="qt"  ItemStyle-HorizontalAlign="Center">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkproofreject" Enabled="false" runat="server" Checked='<%# Bind("isproofreject") %>' />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Reason" SortExpression="qt" >
                                        <ItemTemplate>
                                            <asp:TextBox ID="txtReason" Enabled="false" runat="server" CssClass="txtbox" Text='<%# Bind("Reason") %>'
                                                TextMode="MultiLine"></asp:TextBox>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Sr. No." SortExpression="State" Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblSr" runat="server" Text='<%#Bind("SrNo")%>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="" ShowHeader="False">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="False" CommandName="Edit"
                                                ForeColor="Blue" Text="Edit"></asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                               <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                    <HeaderStyle CssClass="GrdHeader" />                                   
                                    <AlternatingRowStyle CssClass="gvAlterNetRowStyle"/>
                            </asp:GridView>
                        </td>
                    </tr>
                    <tr>
                        <td style="font-weight: bold">
                            Total Deposits for the year :<img src="<%= Session("img")  %>" />
                            <asp:Label ID="txtTotalAmount" Style="text-align: right" runat="server"></asp:Label>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </fieldset>
        </p>
        <table style="width: 99%;">
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="Label1" runat="server" Text="Name Of Bank"></asp:Label></b>
                </td>
                <td>
                    <asp:TextBox ID="txtBankName" runat="server" Width="144px" Style="margin-left: 0px" CssClass="txtbox"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="txtBankName"
                        ErrorMessage="*" ValidationGroup="td"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ControlToValidate="txtBankName"
                        ErrorMessage="Comma not allowed" ValidationExpression="[^,]+" ValidationGroup="td"></asp:RegularExpressionValidator>
                </td>
                <td rowspan="7">
                    &nbsp;&nbsp;
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="Label3" runat="server" Text="Date of Payment" ></asp:Label>
                    &nbsp;(dd-mm-yyyy)</b>
                </td>
                <td>
                    <asp:TextBox ID="txtDateofPayment" runat="server" CssClass="txtbox" Width="144px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtDateofPayment"
                        ErrorMessage="*" ValidationGroup="td"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtDateofPayment"
                        ErrorMessage="Date Error" ValidationExpression="^(0[1-9]|[12][0-9]|3[01])[- /.](0[1-9]|1[012])[- /.](19|20)\d\d$"
                        ValidationGroup="td"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="Label4" runat="server" Text="Amount"></asp:Label></b>
                </td>
                <td>
                    <asp:TextBox ID="txtAmount" Style="text-align: right" runat="server" Width="144px" CssClass="txtNumbox"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="txtAmount"
                        ErrorMessage="*" ValidationGroup="td"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="sds" runat="server" ControlToValidate="txtAmount"
                        ValidationGroup="td" ErrorMessage="Enter proper value" ValidationExpression="^[-+]?[0-9]\d{0,9}(\.\d{1,4})?%?$"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="Label10" runat="server" Text="Deposit Receipt"></asp:Label></b>
                </td>
                <td>
                    <asp:CheckBox ID="chkDepositReceipt" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="lblIsproofapproved" runat="server" Text="Is proof approved" Visible="False"></asp:Label></b>
                </td>
                <td>
                    <asp:CheckBox ID="chkproofapproved" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="lblisproofreject" runat="server" Text="Is Proof Reject" Visible="False"></asp:Label></b>
                </td>
                <td>
                    <asp:CheckBox ID="chkproofreject" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style1"><b>
                    <asp:Label ID="lblreson" runat="server" Text="Reason" Visible="False"></asp:Label></b>
                </td>
                <td>
                    <asp:TextBox ID="txtReason" runat="server" Width="144px" CssClass="txtbox" Visible="False"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator5" runat="server" ControlToValidate="txtReason"
                        ErrorMessage="Comma not allowed" ValidationExpression="[^,]+" ValidationGroup="td"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:UpdateProgress ID="sa" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
                        <ProgressTemplate>
                            <div style="color: Red">
                                <asp:Image ID="Image2" runat="server" ImageUrl="~/IMAGES/loading.gif" />
                                &nbsp;&nbsp;&nbsp;<b>Please Wait.. </b>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td align="left" colspan="2">
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnAdd" runat="server" Text="Add" Width="66px" ValidationGroup="td" />
                    <asp:Button ID="btnSave" runat="server" Text="Save" Width="75px" Enabled="False"
                        ValidationGroup="td" />
                    <asp:Button ID="btnDelete" runat="server" Text="Delete" Width="60px" Enabled="False"
                        ValidationGroup="td" />
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:Label ID="lblMessage" runat="server" Style="font-weight: 700"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:HiddenField ID="hdsrno" runat="server" />
    </ContentTemplate>
</asp:UpdatePanel>

<script type="text/javascript">
//function chkacp()
//{
//if(document.getElementById("<%=chkproofreject.ClientID %>").checked==true){
//document.getElementById("<%=chkproofreject.ClientID %>").checked=false;}
//}
//function chkreg()
//{
//if(document.getElementById("<%=chkproofapproved.ClientID %>").checked==true){
//document.getElementById("<%=chkproofapproved.ClientID %>").checked=false;}
//}
    function panelUpdated() {
       // Ver 4.1-QC1135 start
        if (document.getElementById("<%=chkproofreject.ClientID %>") != null) {
            // Ver 4.1-QC1135 end 
            document.getElementById("<%=chkproofreject.ClientID %>").onclick = function () {
                if (document.getElementById("<%=chkproofapproved.ClientID %>").checked == true) {
                    document.getElementById("<%=chkproofapproved.ClientID %>").checked = false;
                }

            };
        }
        // Ver 4.1-QC1135 start
        if (document.getElementById("<%=chkproofreject.ClientID %>") != null) {
            // Ver 4.1-QC1135 end 
            document.getElementById("<%=chkproofapproved.ClientID %>").onclick = function () {
                if (document.getElementById("<%=chkproofreject.ClientID %>").checked == true) {
                    document.getElementById("<%=chkproofreject.ClientID %>").checked = false;
                }

            };
        }
    }
    
    var appInst = Sys.WebForms.PageRequestManager.getInstance();
    appInst.add_endRequest(panelUpdated);  
    panelUpdated();
</script>

