Imports System.Data
Imports System.Data.OleDb
Imports System.IO

Imports General

Partial Class DeActivate
    Inherits System.Web.UI.Page

    Dim objCon As New OleDbConnection
    Dim adpDeactivate As New OleDbDataAdapter

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Session("CoCode") = String.Empty Then
                Response.Redirect("Login.aspx")
            ElseIf StrComp(Session("EmpId"), "Admin") <> 0 Then
                Response.Redirect("EmpLogin.aspx")
            End If
            objCon.ConnectionString = Session("invconnection")
            Call SetButtonText()
        Catch ex As Exception
            lblmsg.text = ex.Message.ToString
        End Try
    End Sub

    Private Sub SetButtonText()
        Try
            adpDeactivate = New OleDbDataAdapter("select SaveLock from [Parameters]", objCon)
            objCon.Open()
            lblMsg.Text = ""

            If adpDeactivate.SelectCommand.ExecuteScalar = False Then
                btnDeActivate.Text = "Deactivate Investment Update"
                If btnDeActivate.UseSubmitBehavior = vbTrue Then
                    lblMsg.Text = "Current Status:- ACTIVATED"
                End If
            Else
                btnDeActivate.Text = "Activate Investment Update"
                lblMsg.Text = "Current Status:- DEACTIVATED"
            End If
            objCon.Close()
        Catch ex As Exception
            lblMsg.Text = ex.Message.ToString
        End Try
    End Sub

    Protected Sub btnDeActivate_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDeActivate.Click
        Try
            adpDeactivate = New OleDbDataAdapter("update [Parameters] set SaveLock=not SaveLock", objCon)
            objCon.Open()
            adpDeactivate.SelectCommand.ExecuteNonQuery()
            objCon.Close()
            '--On 22/12/2008 Starts
            '--Call WriteToFile1(Mid(btnDeActivate.Text, 1, 1))
            '--On 22/12/2008 Ends
            Call SetButtonText()
        Catch ex As Exception
            lblMsg.Text = ex.Message.ToString
        End Try
    End Sub

    Sub WriteToFile1(ByVal strAction As String)
        Dim strPath As String
        Dim NewContent As String

        NewContent = "" 'Default Value
        strPath = System.Configuration.ConfigurationManager.AppSettings("FilePath") & "/LogUpdate.txt"

        If strAction = "D" Then
            NewContent = "Deactivated On " & vbTab & Format(Now, "dd/MM/yyyy") & vbTab & Format(Now, "hh:mm:ss tt")
        ElseIf strAction = "A" Then
            NewContent = "Activated On " & vbTab & Format(Now, "dd/MM/yyyy") & vbTab & Format(Now, "hh:mm:ss tt")
        End If

        If WriteToFile(strPath, NewContent) = False Then
            lblMsg.Text = "Error while writing log file"
        End If
    End Sub

End Class

