Imports System.Data.OleDb
Imports System.Data

Partial Class GetQueries
    Inherits System.Web.UI.Page

    Dim adp As New OleDbDataAdapter
    Private objCon As New OleDbConnection
    Private objPwdCon As New OleDbConnection
    Private objInvestmentDec As New OleDbConnection

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Session("CoCode") = String.Empty Then
                Response.Redirect("Login.aspx")
            End If
            'Ver 3.2-CRK Start
            Dim da As New OleDbDataAdapter("select pagename from pagerights where allowtouser=-1", Session("PgRightsConn").ToString())
            Dim ds As New DataTable()
            Try
                da.Fill(ds)
            Catch ex As Exception
                'If ex.Message.Contains("The Microsoft Jet database engine cannot find the input table or query 'pagerights'") Then

                '    Response.Redirect("Home.aspx")
                'End If
            End Try

            Dim i As Integer = 0
            Dim strpg As New StringBuilder
            For i = 0 To ds.Rows.Count - 1
                strpg.Append(ds.Rows(i)("pagename").ToString() & ",")
            Next
            Session("MenuList") = strpg.ToString()
            Session("CurCss") = General.GetData(System.Web.HttpContext.Current.Session("StyleCon"), "select CustomizeStyle from stylesheet")

            Dim con As New OleDbConnection(HttpContext.Current.Session("StyleCon"))
            Dim cmd As New OleDbCommand("select CustomizeFont from stylesheet", con)
            con.Open()
            Dim arrImg() As Byte = CType(cmd.ExecuteScalar(), Byte())
            con.Close()
            Session("imgru") = arrImg

            'Ver 3.2-CRK End
            objPwdCon = New OleDbConnection(Session("PwdConnection"))
            objInvestmentDec = New OleDbConnection(Session("invConnection"))

            Dim objDs As New DataSet
            Dim objPwdCmd As OleDbCommand = objPwdCon.CreateCommand()
            adp = New OleDbDataAdapter("select * from Employee", objPwdCon)
            adp.Fill(objDs, "Employee")

            If objDs.Tables("Employee").Columns.Contains("AreaAdmin") = False Then
                Try
                    objPwdCon.Open()
                    objPwdCmd.CommandText = "Alter table [Employee] add [AreaAdmin] YesNo"
                    objPwdCmd.ExecuteNonQuery()
                Catch ex As Exception
                    lblMsg.Text = ex.Message.ToString()
                Finally
                    objPwdCon.Close()
                End Try

            End If

            Dim objCmd As OleDbCommand = objInvestmentDec.CreateCommand()
            If General.IsTblExists(Session("invConnection"), "Parameters") = False Then
                Try
                    objInvestmentDec.Open()
                    objCmd.CommandText = "Create table [Parameters] ([SaveLock] YesNo)"
                    objCmd.ExecuteNonQuery()
                Catch ex As Exception
                    lblMsg.Text = ex.Message.ToString()
                Finally
                    objInvestmentDec.Close()
                End Try
                
            End If

            objDs.Tables.Clear()
            adp = New OleDbDataAdapter("select * from Details", objInvestmentDec)
            adp.Fill(objDs, "Details")

            If Val(Left(Session("Period"), 4)) >= 2010 Then
                If objDs.Tables("Details").Columns.Contains("D11011") = False Then
                    Try
                        objInvestmentDec.Open()
                        objCmd.CommandText = "Alter table Details add D11011 Number"
                        objCmd.ExecuteNonQuery()

                        
                    Catch ex As Exception
                    Finally
                        objInvestmentDec.Close()
                    End Try
                    Try
                        objInvestmentDec.Open()
                        objCmd.CommandText = "Update Masters set Active=true where SalTdsCode in ('D11001','D11002','D11003','D11005','D11009','O11001','O11007','R11001','R11005','R11007','R11008','R11009','R11015','R11021','R11050','R11051','D11011')"
                        objCmd.ExecuteNonQuery()

                        objCmd.CommandText = "Update Masters set Active=false where SalTdsCode not in ('D11001','D11002','D11003','D11005','D11009','O11001','O11007','R11001','R11005','R11007','R11008','R11009','R11015','R11021','R11050','R11051','D11011')"
                        objCmd.ExecuteNonQuery()
                    Catch ex As Exception
                    Finally
                        objInvestmentDec.Close()
                    End Try
                    
                End If
            Else
                Try
                    objInvestmentDec.Open()
                    objCmd.CommandText = "Update Masters set Active=true where SalTdsCode in ('D11001','D11002','D11003','D11005','D11009','O11001','O11007','R11001','R11005','R11007','R11008','R11009','R11012','R11013','R11014','R11015','R11021','R11050','R11051','R11052')"
                    objCmd.ExecuteNonQuery()

                    objCmd.CommandText = "Update Masters set Active=false where SalTdsCode not in ('D11001','D11002','D11003','D11005','D11009','O11001','O11007','R11001','R11005','R11007','R11008','R11009','R11012','R11013','R11014','R11015','R11021','R11050','R11051','R11052')"
                    objCmd.ExecuteNonQuery()
                Catch ex As Exception
                Finally
                    objInvestmentDec.Close()
                End Try
            End If


        Catch ex As Exception
        Finally
            Response.Redirect("EmpLogin.aspx")
        End Try
    End Sub
End Class
