Imports System.Data
Imports system.data.oledb

Partial Class Loan
    Inherits System.Web.UI.Page
    Private adp As New OleDbDataAdapter
    Private dsProfile As New DataSet

    Private objCon As OleDbConnection
    'Ver 3.2-E398 Start
    Dim dspdf As New DataSet
    Private Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit
        AddHandler Master.Print_PDF, AddressOf PrintPDF
    End Sub
    'Ver 3.2-E398 End
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("EmpId") = String.Empty Then
            Response.Redirect("EmpLogin.aspx")
        End If
        If Page.IsPostBack = False Then
            Try
                objCon = New OleDbConnection(Session("myconnection"))
                Dim strCode As String

                If Request.QueryString("Code") = String.Empty Then
                    strCode = Session("Code")
                Else
                    strCode = Request.QueryString("Code")
                End If

                lblEmpCode.Text = Session("EmpId")
                lblName.Text = Session("EmpName")
                lblFY.Text = Session("Period")

                Call FillDetails(strCode)
                Request.QueryString.Clear()
            Catch ex As Exception
                'lblmsg.text = ex.Message.ToString
            End Try
        End If
        If Session("EmpId") = String.Empty Then
            Response.Redirect("EmpLogin.aspx")
        End If

    End Sub


    Private Sub FillDetails(ByVal strCode As String)

        Try
            Dim i As Integer

            adp = New OleDbDataAdapter("select * from LoanTran where " & _
                                " EmpCode='" & Session("EmpId") & "' " & _
                                " and LoanCode='" & strCode & "' order by period", objCon)
            adp.Fill(dsProfile, "LoanTran")

            If dsProfile.Tables("LoanTran").Rows.Count > 0 Then
                lblLCode.Text = strCode
                lblLName.Text = dsProfile.Tables("LoanTran").Rows(1).Item("Desc").ToString
                lblDisDate.Text = Format(CDate(dsProfile.Tables("LoanTran").Rows(1).Item("DisDate").ToString), "dd/MM/yyyy")
                lblRecDate.Text = Format(CDate(dsProfile.Tables("LoanTran").Rows(1).Item("RecDate").ToString), "dd/MM/yyyy")
                lblOpBal.Text = dsProfile.Tables("LoanTran").Rows(1).Item("LoanAmt").ToString
                lblReInt.Text = dsProfile.Tables("LoanTran").Rows(1).Item("ActualInterest").ToString
                lblIntType.Text = dsProfile.Tables("LoanTran").Rows(1).Item("LoanRecType").ToString
                lblNoInst.Text = dsProfile.Tables("LoanTran").Rows(1).Item("LoanInstal").ToString
                lblAllInt.Text = dsProfile.Tables("LoanTran").Rows(1).Item("AllowableInterest").ToString

                Dim dtpdf As New DataTable()
                dtpdf.Columns.Add("F1")
                dtpdf.Columns.Add("V1")
                dtpdf.Columns.Add("F2")
                dtpdf.Columns.Add("V2")
                dtpdf.Rows.Add("Loan Code", strCode, "Loan Name", lblLName.Text)
                dtpdf.Rows.Add("Date of Disbursement", lblDisDate.Text, "Date of Recovery", lblRecDate.Text)
                dtpdf.Rows.Add("Opening Balance", lblOpBal.Text, "Rate of Interest", lblReInt.Text)
                dtpdf.Rows.Add("Interest Type", lblIntType.Text, "No. of installment", lblNoInst.Text)
                dtpdf.Rows.Add("Allowable interest", lblAllInt.Text, "", "")
                dspdf.Tables.Add(dtpdf)
            Else
                CType(Master.FindControl("hidrpt"), HiddenField).Value = ""
            End If

            Dim dt As DataColumn
            Dim t1 As DataTable = New DataTable("Loans")

            dt = New DataColumn
            dt.ColumnName = "Months"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Principle"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Interest"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Total Installment"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Auto Recovery"

            t1.Columns.Add(dt)

            dt = New DataColumn
            dt.ColumnName = "Manual Recovery"

            t1.Columns.Add(dt)

            Dim strMRepeat As String
            strMRepeat = MonthName(Mid("" & dsProfile.Tables("LoanTran").Rows(i).Item("Period"), 5, 2))
            For i = 0 To dsProfile.Tables("LoanTran").Rows.Count - 1
                Dim DataRow1 As DataRow = t1.NewRow
                If (MonthName(Mid("" & dsProfile.Tables("LoanTran").Rows(i).Item("Period"), 5, 2))) = strMRepeat And i <> 0 Then
                    DataRow1("Months") = "Next Year"
                Else
                    DataRow1("Months") = MonthName(Mid("" & dsProfile.Tables("LoanTran").Rows(i).Item("Period"), 5, 2))
                End If

                DataRow1("Principle") = Val("" & dsProfile.Tables("LoanTran").Rows(i).Item("Principal"))
                DataRow1("Interest") = Val("" & dsProfile.Tables("LoanTran").Rows(i).Item("Interest"))
                DataRow1("Total Installment") = Val("" & dsProfile.Tables("LoanTran").Rows(i).Item("Debit"))
                DataRow1("Auto Recovery") = Val("" & dsProfile.Tables("LoanTran").Rows(i).Item("Credit"))
                DataRow1("Manual Recovery") = Val("" & dsProfile.Tables("LoanTran").Rows(i).Item("CreditOther"))
                t1.Rows.Add(DataRow1)
            Next i
            gdLoans.DataSource = t1
            gdLoans.DataBind()
            'Ver 3.2-E398 Start
            dspdf.Tables.Add(t1)
            'Ver 3.2-E398 End
            For intI As Integer = 0 To gdLoans.Rows.Count - 1
                gdLoans.Rows(intI).Cells(0).HorizontalAlign = HorizontalAlign.Left
            Next

            gdLoans.Visible = True
        Catch ex As Exception
            'lblMsg.Text = "Error - " & ex.Message.ToString
        End Try
    End Sub

    Private Sub VisibleLbls(ByVal blnValue As Boolean)
        lblLoanCode.Visible = blnValue
        lblLoanName.Visible = blnValue
        lblAllowInt.Visible = blnValue
        lblDateDis.Visible = blnValue
        lblDateRec.Visible = blnValue
        lblIntT.Visible = blnValue
        lblNoInstall.Visible = blnValue
        lblNoInterest.Visible = blnValue
        lblOpenBal.Visible = blnValue
    End Sub
    'Ver 3.2-E398 Start
    Private Sub PrintPDF()
        Try
            objCon = New OleDbConnection(Session("myconnection"))
            FillDetails(Session("Code").ToString())
            Dim pdfForm As New PDFform(dspdf, "0", "8.5in")
            Dim document As MigraDoc.DocumentObjectModel.Document = pdfForm.CreateDocument()
            document.UseCmykColor = True
            Dim pdfRenderer As New MigraDoc.Rendering.PdfDocumentRenderer(True)
            pdfRenderer.Document = document
            pdfRenderer.RenderDocument()
            Dim ms As New System.IO.MemoryStream()
            pdfRenderer.Save(ms, True)
            Dim byteArray() As Byte = ms.ToArray()
            HttpContext.Current.Response.ContentType = "Application/pdf"
            HttpContext.Current.Response.AddHeader("Content-Disposition", "attachment; filename=CompanyLoanDetails.pdf")
            HttpContext.Current.Response.AddHeader("Content-Length", byteArray.Length.ToString())
            HttpContext.Current.Response.ContentType = "application/octet-stream"
            HttpContext.Current.Response.BinaryWrite(byteArray)
            HttpContext.Current.Response.End()
        Catch ex As Exception
            Alert.Show("No data found")
        End Try
    End Sub
    'Ver 3.2-E398 End
End Class
