Imports System.Data
Imports System.Data.OleDb
Imports General
Imports System.Globalization
Imports MigraDoc.Rendering
Imports System.Diagnostics

Partial Class Payslip
    Inherits System.Web.UI.Page

    Private dsProfile As New DataSet
    Private dr As DataRow
    Private msg, strimg1, strimg2, qry As String
    Private sqlcon As OleDbConnection
    Private strQuery As String
    Private sqlcmd As New OleDb.OleDbCommand(strQuery, sqlcon)
    'Ver 3.2-E398 Start
    Private adp As New OleDb.OleDbDataAdapter
    Dim dd As DropDownList = New DropDownList()
    Private Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit
        AddHandler Master.Print_PDF, AddressOf PrintPDF
    End Sub
    'Ver 3.2-E398 End
    Private Sub FillHeaders()
        Try

            sqlcon = New OleDbConnection(Session("myconnection"))
            adp = New OleDbDataAdapter("select Field1,':' as Col1,Value1,Field2,':' as Col2,Value2 FROM [Master] where EmpCode='" & Session("EmpId") & "' and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Master")
            gvDetails.DataSource = dsProfile.Tables("Master")
            gvDetails.DataBind()

            gvDetails.HeaderRow.Visible = False
            gvDetails.Visible = True
        Catch ex As Exception
            'lblMsg.Text = "Error - " & ex.Message.ToString
        End Try
    End Sub

    Private Sub FillGrid()

        'Dim txtInfo As TextInfo
        'Dim CultureInfo As CultureInfo = System.Threading.Thread.CurrentThread.CurrentCulture
        'Dim txtInfo As TextInfo = CultureInfo.TextInfo

        Try
            ' dsProfile.Tables.Clear()

            adp = New OleDbDataAdapter("select Earning as Earnings, format(Eamount,'#,##0.00') as Eamount,'' as Gap, Deduction as Deductions,format(DAmount,'#,##0.00') as DAmount FROM [Transaction] where EmpCode='" & _
                    Session("EmpId") & "' and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Trans")

            'dsProfile.Tables("Trans").Rows.Add()

            adp = New OleDbDataAdapter("select 'Total Earnings' as Earnings, format(GrEarning,'#,##0.00') as Eamount,'' as Gap, 'Total Deductions' as Deductions,format(GrDeduction,'#,##0.00') as DAmount FROM [NetValues] where EmpCode='" & _
                    Session("EmpId") & "'and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "Gross")

            adp = New OleDbDataAdapter("select  NetAmount as 'Net Amount' ,NetInWords as 'Amount In Words' from [NetValues] where EmpCode='" & _
                    Session("EmpId") & "'and Period='" & Session("CMonth") & "'", sqlcon)
            adp.Fill(dsProfile, "NetAmounts")

            gvPayslipComp.DataSource = dsProfile.Tables("Trans")
            gvPayslipComp.DataBind()
            gvGross.DataSource = dsProfile.Tables("Gross")
            gvGross.DataBind()

            If dsProfile.Tables("NetAmounts").Rows.Count > 0 Then
                lblNetAmt.Text = " " & Convert.ToDecimal(dsProfile.Tables("NetAmounts").Rows(0).Item("'Net Amount'").ToString()).ToString("#,##0.00")
                'ver 3.2-???? start
                lblNetAmtinword.Text = "" & General.ToTitleCase("" & GetNumsInWords(dsProfile.Tables("NetAmounts").Rows(0).Item("'Net Amount'").ToString & "")) & ""
                'ver 3.2-???? end
                'Ver 2.1-2625 start
                'lblPayslipMessage.Text = "" & dsProfile.Tables("NetAmounts").Rows(0).Item(1)
                lblPersonalMessage.Text = "" & dsProfile.Tables("NetAmounts").Rows(0).Item("'Amount In Words'")
                'Ver 2.1-2625 end
            End If

            'For inti As Integer = 0 To gvPayslipComp.Columns.Count - 1
            '    gvPayslipComp.Columns(inti).GetType() is nu
            'Next

            gvPayslipComp.Visible = True
            gvPayslipComp.HeaderRow.Cells(1).Text = "<sub><sub><img src='" & Session("img") & "'/></sub></sub>Amount"
            gvPayslipComp.HeaderRow.Cells(2).Text = ""
            gvPayslipComp.HeaderRow.Cells(4).Text = "<sub><sub><img src='" & Session("img") & "'/></sub></sub>Amount"

            gvGross.Rows(gvGross.Rows.Count - 1).Font.Bold = True
            '--gvPayslipComp.CssClass = "GrdNumber"
            gvPayslipComp.HeaderRow.Cells(2).Width = 10
            gvPayslipComp.HeaderRow.Cells(1).HorizontalAlign = HorizontalAlign.Right
            gvPayslipComp.HeaderRow.Cells(4).HorizontalAlign = HorizontalAlign.Right
            gvPayslipComp.HeaderRow.Cells(0).HorizontalAlign = HorizontalAlign.Left
            gvPayslipComp.HeaderRow.Cells(3).HorizontalAlign = HorizontalAlign.Left

            gvGross.HeaderRow.Cells(1).HorizontalAlign = HorizontalAlign.Right
            gvGross.HeaderRow.Cells(3).HorizontalAlign = HorizontalAlign.Right

            For I As Integer = 0 To gvPayslipComp.Rows.Count - 1
                gvPayslipComp.Rows(I).Cells(1).HorizontalAlign = HorizontalAlign.Right
                gvPayslipComp.Rows(I).Cells(4).HorizontalAlign = HorizontalAlign.Right
            Next



        Catch ex As Exception
            'lblMsg.Text = "Error - " & ex.Message.ToString
        End Try
        'Ver 3.2-3509/3547 Start
        Try
            Dim strmsg() As String = General.GetData(Session("pwdConnection").ToString(), "select commonmessage from commonmessage ").Replace("''", "'").Split(vbCr)
            Dim showmsg As String = ""
            Dim i As Integer
            For i = 0 To strmsg.Length - 1
                showmsg = showmsg & "<br/>" & strmsg(i)
            Next
            showmsg = showmsg.Substring(5)
            ltrCommonMessage.Text = showmsg
            Dim dcm As New DataTable("CommonMessage")
            dcm.Columns.Add("cm")
            dcm.Rows.Add(ltrCommonMessage.Text)
            dsProfile.Tables.Add(dcm)
        Catch ex As Exception
        End Try
        'Ver 3.2-3509/3547 End
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Try
            If Session("EmpId") = String.Empty Then
                Response.Redirect("EmpLogin.aspx")
            End If
            dd = CType(Me.Page.Master.FindControl("cmbMonth"), DropDownList)
            adp.SelectCommand = sqlcmd

            If Page.IsPostBack = False Then
                '--lblCompany.Text = Session("CoName")
                Call FillHeaders()
                lblMonthOf.Text = "Payslip for the Month of " & MonthName(Right(Session("CMonth"), 2)) _
                                    & " " & Left(Session("CMonth"), 4)
                Call FillGrid()

                Dim ltmon As Literal = CType(Master.FindControl("ltrmon"), Literal)

                ltmon.Visible = True
                dd.Visible = True

                'Ver 4.3 FASTFACTS-617 start
                Dim btnPaySlipRate As Button = Me.Page.Master.FindControl("btnPaySlipRate")
                btnPaySlipRate.Visible = True
                'Ver 4.3 FASTFACTS-617 end                 
            End If
            AddHandler dd.SelectedIndexChanged, AddressOf PageRefresh
        Catch ex As Exception
            'lblMsg.Text = ex.Message.ToString
        End Try

        Session("gvGross") = gvGross
        Session("gvPayslipComp") = gvPayslipComp
    End Sub
    Private Sub PageRefresh()
        Session("CMonth") = Format(CDate(dd.SelectedItem.Value), "yyyyMM")
        Call FillHeaders()
        lblMonthOf.Text = "Payslip for the Month of " & MonthName(Right(Session("CMonth"), 2)) _
                            & " " & Left(Session("CMonth"), 4)
        Call FillGrid()
        Dim ltmon As Literal = CType(Master.FindControl("ltrmon"), Literal)

    End Sub
    'Ver 3.2-E398 Start
    Private Sub PrintPDF()
        FillHeaders()
        FillGrid()
        CompanyAddress() 'jitendra
        Dim pdfForm As New PDFform(dsProfile, "0", "8.5in")
        Dim document As MigraDoc.DocumentObjectModel.Document = pdfForm.CreateDocument()
        document.UseCmykColor = True
        Dim pdfRenderer As New PdfDocumentRenderer(True)
        pdfRenderer.Document = document
        pdfRenderer.RenderDocument()
        Dim ms As New System.IO.MemoryStream()
        pdfRenderer.Save(ms, True)
        Dim byteArray() As Byte = ms.ToArray()
        HttpContext.Current.Response.ContentType = "Application/pdf"
        HttpContext.Current.Response.AddHeader("Content-Disposition", "attachment; filename=" & Session("PageName") & ".pdf")
        HttpContext.Current.Response.AddHeader("Content-Length", byteArray.Length.ToString())
        HttpContext.Current.Response.ContentType = "application/octet-stream"
        HttpContext.Current.Response.BinaryWrite(byteArray)
        HttpContext.Current.Response.End()
    End Sub
    'Ver 3.2-E398 End
    '==>jitendra 14/07/2015
    Private Sub CompanyAddress()
        Try
            Dim dsCompany As New DataSet
            Dim companyTxt As String
            dsCompany.Clear()

            ' adp = New OleDbDataAdapter("Select * FROM COMPANY where CCode='" & Session("CoCode") & "'", sqlcon)
            adp = New OleDbDataAdapter("Select * FROM COMPANY ", sqlcon)
            adp.Fill(dsCompany, "CompanyAddress")
            If dsCompany.Tables(0).Rows.Count > 0 Then
                companyTxt = dsCompany.Tables(0).Rows(0).Item("Addr1") & " " & dsCompany.Tables(0).Rows(0).Item("Addr2") & " " & dsCompany.Tables(0).Rows(0).Item("Addr3") & " " & dsCompany.Tables(0).Rows(0).Item("Addr4") & " " & dsCompany.Tables(0).Rows(0).Item("City") & " " & dsCompany.Tables(0).Rows(0).Item("Pin") & " " & dsCompany.Tables(0).Rows(0).Item("State")
            Else
                companyTxt = ""
            End If
            Session("companyTxt") = companyTxt
        Catch ex As Exception

        End Try
    End Sub
    '<==Jitendra
    Protected Sub gvPayslipComp_SelectedIndexChanged(sender As Object, e As EventArgs) Handles gvPayslipComp.SelectedIndexChanged

    End Sub
End Class
