Imports System.Data
Imports System.Data.OleDb
Imports System.IO
Imports System.Web.Mail
Imports System.Web.Configuration

Imports SendMail 'For accessing Common class for sending mail
Imports General ' For accessing Common class for General Functions

Partial Class PostQuery
    Inherits System.Web.UI.Page

    Dim adp As New OleDbDataAdapter
    Dim cmd As New OleDbCommand
    Dim objMail As OleDbConnection
    Dim objCon As OleDbConnection

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("CoCode") = String.Empty Then
            Response.Redirect("Login.aspx")
        End If
        rwEmail.Visible = False
        If Not Page.IsPostBack Then
            Dim path As String = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)
            'ver 3.2-CRK Start
            Dim con As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & path & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs")
            'ver 3.2-CRK End
            'Ver 3.2-E398 Start
            Master.FindControl("imgPDF").Visible = False
            Master.FindControl("lnkPrint").Visible = False
            'Ver 3.2-E398 end
            Try
                'ver 3.2-CRK Start
                'Dim con As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & path & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs")
                'ver 3.2-CRK End
                Dim cmd As New OleDbCommand("alter table PostQueryDetails add column QryID number", con)
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
                General.ExecuteDML("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & path & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs", "update PostQueryDetails set QryID=SrNo")
            Catch ex As Exception
                'ver 3.2-CRK Start
            Finally
                con.Close()
                'ver 3.2-CRK End
            End Try
        End If
        Try
            lblEmpCode.Text = Session("EmpId")
            lblName.Text = Session("EmpName")
            lblFY.Text = Session("Period")

            objCon = New OleDbConnection(Session("myConnection"))
            objCon.Open()
            txtEmailId.Text = GetEmail(Session("myconnection"), Session("EmpId"))
            If IsPostBack = False Then
                txtSubject.Text = Session("EmpId")
            End If
            'Ver 3.3-3604 Start
            ' If Trim(txtEmailId.Text) = "" Then lblMsg.Text = "Email Id not Exist in the Database!"
            'Ver 3.3-3604 End
        Catch ex As Exception
            lblMsg.Text = ex.Message.ToString
            'ver 3.2-CRK Start
        Finally
            objCon.Close()
            'ver 3.2-CRK End
        End Try

    End Sub

    Protected Sub btnPost_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPost.Click
        Try
            Dim objReader As OleDbDataReader
            'Ver 3.3-3604 Start
            'If Trim(txtEmailId.Text).ToString = String.Empty Then
            '    lblMsg.Text = "Email Id required to send Query."
            '    Exit Sub
            If Trim(txtDesc.Text).ToString = String.Empty Then
                'Ver 3.3-3604 End
                lblMsg.Text = "Please Enter the Query"
                Exit Sub
            ElseIf txtSubject.Text = String.Empty Then
                txtSubject.Text = Session("EmpId")
            End If

            '************** Sending a mail to the administrator *********************
            '************************************************************************
            '--Connecting to the Emails.mdb
            objMail = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & Server.MapPath(".") & "\Emails.mdb;jet OLEDB:Database Password=Ffcs")
            objMail.Open()

            adp = New OleDbDataAdapter("select * from Emails where CompanyCode='" & Session("CoCode") & Mid(Session("Period"), 3, 2) & "'", objMail)
            objReader = adp.SelectCommand.ExecuteReader()

            If objReader.HasRows Then objReader.Read()
            If objReader.HasRows Then

                'Call Mailer(ConfigurationManager.AppSettings("AdminEID"), _
                'txtEmailId.Text, txtSubject.Text, txtDesc.Text, _
                '"smtp.rediffmailpro.com", , _
                'ConfigurationManager.AppSettings("CCEID"))

                '' ''If IsDBNull(objReader("CCEMail")) Then
                '' ''    Call Mailer(objReader("AdminEmail"), _
                '' ''            txtEmailId.Text, txtSubject.Text, txtDesc.Text, _
                '' ''            "localhost")
                '' ''Else
                '' ''    Call Mailer(objReader("AdminEmail"), _
                '' ''            txtEmailId.Text, txtSubject.Text, txtDesc.Text, _
                '' ''            "localhost", , _
                '' ''             objReader("CCEMail"))
                '' ''End If


                'If funSendMail() = True Then

                If UpdateQuery() = True Then
                    lblMsg.Text = "Message sent successfully. " & vbNewLine & " Your query sent to the admin."
                    txtSubject.Text = Session("EmpId")
                    txtDesc.Text = String.Empty
                Else
                    '  lblMsg.Text = "Error while sending mail"
                End If
            Else
                lblMsg.Text = "Admin Email Id Not Found!"
                Exit Sub
            End If
        Catch ex As Exception
            lblMsg.Text = ex.Message.ToString
        End Try
    End Sub

    Private Function UpdateQuery() As Boolean
        Try

            Dim strPath As String
            Dim myCon As New OleDbConnection
            
            Dim dsPostQuery As New DataSet

            strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)

            If File.Exists(strPath & "\PostQuery.mdb") Then
                myCon = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs")
            End If

            Dim adpPostQuery As New OleDbDataAdapter("insert into PostQueryDetails([EmpCode],[EmailId],[Year],[Subject],[Description],[DateTime],[QryID]) values('" & _
                                                     Session("EmpId") & _
                                                     "','" & txtEmailId.Text.Trim & _
                                                     "','" & Session("Period") & _
                                                     "', '" & txtSubject.Text.Trim().Replace("'", "''") & _
                                                     "', '" & txtDesc.Text.Trim().Replace("'", "''") & _
                                                     "', #" & Month(Today) & "/" & Day(Today) & "/" & Year(Today) & " " & Now.ToLongTimeString & "#," & GetQryID() & ")", myCon)

            myCon.Open()
            Dim intRowsAffected As Integer = adpPostQuery.SelectCommand.ExecuteNonQuery()
            myCon.Close()
            Return True

        Catch ex As Exception
            lblMsg.Text = ex.Message
            Return False

        End Try
    End Function
    'ver 2.9-1 Start
    Function GetQryID() As String
        Dim strPath As String
        strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)
        Return General.GetData("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs", "select iif((max(QryID)+1) is null,1,max(QryID)+1) from postquerydetails")
    End Function
    'ver 2.9-1 End
End Class
