Imports System.Data.OleDb
Imports System.IO
Imports System.Data

Partial Class QueryDetails
    Inherits System.Web.UI.Page

    Dim objCon As OleDbConnection
    Dim strSrNo As String
    Dim strEmpCode As String
    Dim strEmpName As String

    Dim strReplyText As String
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Session("CoCode") = String.Empty Then
                Response.Redirect("Login.aspx")
            End If
            Dim strPath As String
            strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)

            If File.Exists(strPath & "\PostQuery.mdb") Then
                objCon = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs")
            End If

            If Page.IsPostBack = False Then

                objCon.Open()
                strEmpCode = Session("EmpId")
                strEmpName = Session("EmpName")
                strSrNo = Request.QueryString("SrNo")
                Call FillDtls()
            End If

        Catch ex As Exception

        End Try
    End Sub
    'ver 2.9-1 Start
    Private Sub FillDtls()


        Dim strPath As String
        strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)
        Dim dt As DataTable = General.GetDataTable("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs", "Select [Description], format([DateTime],'dd/MM/yyyy') as [DateTime1], [ReplyText], format([ReplyDateTime],'dd/MM/yyyy') as [ReplyDateTime1],EmailId,Subject,QryID,SrNo  From PostQueryDetails where QryID=(select QryID from PostQueryDetails where SrNo =" & strSrNo & ") order by SrNo")
        Dim sb1 As New StringBuilder()
        Srno.Value = dt.Rows(0)("SrNo")
        subject.Value = dt.Rows(0)("Subject")
        EmailID.Value = dt.Rows(0)("EmailId")
        sb1.Append("<table class='text_blue' style='Width:100%'>")
        Dim i As Integer = 0
        For i = dt.Rows.Count - 1 To 0 Step -1

            If IsDBNull(dt.Rows(i)("ReplyText")) = False And IsDBNull(dt.Rows(i)("ReplyDateTime1")) = False Then
                sb1.Append("  <tr><td><b>Replied On :</b>" & dt.Rows(i)("ReplyDateTime1") & "</td></tr><tr><td><b>Reply :</b> " & dt.Rows(i)("ReplyText").ToString().Replace("''", "'") & "</td></tr><tr><td><hr style='border-style:dotted;border-color:Black;' /></td></tr>")
                If i = dt.Rows.Count - 1 Then
                    btnReply.Visible = True
                End If
            End If
            sb1.Append("<tr><td><b>" & "Query On : </b>" & dt.Rows(i)("DateTime1") & "</td></tr><tr><td><b>Query :</b> " & dt.Rows(i)("Description") & "</td></tr>")
            sb1.Append("<tr><td><hr style='border-style:double;height:3px;;border-color:Black;' /></td></tr>")
        Next
        sb1.Append("</table>")

        'If oleDbDR.HasRows = True Then


        'Dim data As String = ""
        'data = "<tr><td><b>" & "Query On:</b>" & oleDbDR("DateTime") & "</td></tr><tr><td><b>Query :</b> " & oleDbDR("Description") & "</td></tr>"

        'EmailID.Value = oleDbDR("EmailId")
        'subject.Value = oleDbDR("Subject")

        'If IsDBNull(oleDbDR("ReplyText")) = False And IsDBNull(oleDbDR("ReplyDateTime")) = False Then

        '    data = data & " <tr><td><hr style='border-style:dotted' /></td></tr> <tr><td><b>Replied On:</b>" & oleDbDR("ReplyDateTime") & "</td></tr><tr><td><b>Reply :</b> " & oleDbDR("ReplyText") & "</td></tr>"

        '    btnReply.Visible = True

        'End If
        Literal1.Text = sb1.ToString()
        ' sb.Value = data
        'End If
        'TblHead.Rows(2).CssClass = "GrdHeader"
        'objCmd.Dispose()
    End Sub

    Public Shared Function WriteCss() As String
        Dim css As String = ""
        css = General.GetData(System.Web.HttpContext.Current.Session("StyleCon"), "select CustomizeStyle from stylesheet")
        Return css
    End Function
    'ver 2.9-1 End
    Protected Sub btnReply_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnReply.Click
        If btnReply.Text = "Reply" Then
            btnReply.Text = "Submit query"
            txtReply.Visible = True
        Else
            txtReply.Visible = False
            UpdateQuery()
            btnReply.Visible = False
            ltrMsg.Text = "Your query submit successfully."
        End If

    End Sub
    'ver 2.9-1 Start
    Private Function UpdateQuery() As Boolean
        Try

            sb.Value = "<tr><td><b>ReQuery On :</b>" & DateTime.Now.ToString("dd/MM/yyyy") & "</td></tr><tr><td><b> ReQuery : </b>" & (txtReply.Text.Replace("'", "''")) & "</td></tr><tr><td><hr/></td></tr>" & sb.Value

            Dim strPath As String
            Dim myCon As New OleDbConnection

            Dim dsPostQuery As New DataSet

            strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)

            If File.Exists(strPath & "\PostQuery.mdb") Then
                myCon = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs")
            End If

            Dim adpPostQuery As New OleDbDataAdapter("insert into PostQueryDetails([EmpCode],[EmailId],[Year],[Subject],[Description],[DateTime],QryID) values('" & _
                                                     Session("EmpId") & _
                                                     "','" & EmailID.Value & _
                                                     "','" & Session("Period") & _
                                                     "', '" & subject.Value & _
                                                     "', '" & txtReply.Text & _
                                                     "', #" & Month(Today) & "/" & Day(Today) & "/" & Year(Today) & " " & Now.ToLongTimeString & "#," & GetQryID(Srno.Value) & ")", myCon)

            myCon.Open()
            Dim intRowsAffected As Integer = adpPostQuery.SelectCommand.ExecuteNonQuery()
            myCon.Close()
            FillDtls()
            Return True

        Catch ex As Exception

            Return False

        End Try
    End Function
    Function GetQryID(ByVal sr As String) As String
        Dim strPath As String
        strPath = Server.MapPath("App_Data") & "\" & Session("CoCode") & Mid(Session("Period"), 3, 2)
        Return General.GetData("Provider=Microsoft.Jet.OLEDB.4.0;data source=" & strPath & "\PostQuery.mdb;jet OLEDB:Database Password=Ffcs", "select QryID from postquerydetails where srno=" & sr)
    End Function
    'ver 2.9-1 End
End Class
