﻿Imports System.Data
Imports System.Data.OleDb
Imports System.Drawing
Imports System.Configuration
Partial Class UserControls_HRA
    Inherits System.Web.UI.UserControl
    Dim strconn As String
    Dim strperiod() As String
    Dim strEmployeeId As String
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        strconn = Session("invConnection").ToString()
        ' rdAgreement.Attributes.Add("onclick", "javascript:SwitchPanal()")
        ' rdRentReceipts.Attributes.Add("onclick", "javascript:SwitchPanal()")
        ' rdBoth.Attributes.Add("onclick", "javascript:SwitchPanal()")

        If Session("EmpId").ToString().Equals("Admin") Then
            strEmployeeId = Session("SelectedEmpId").ToString()
            EnableControl()
            btnAdd.Enabled = False
        Else
            strEmployeeId = Session("EmpId").ToString()
        End If
        strperiod = Session("Period").ToString().Split("-")
        txtHraPeriodFrom.Text = strperiod(0)
        txtHraPeriodTo.Text = strperiod(1)
        AddJavaScript()
        If IsRecordExist("", strEmployeeId.ToString()) > 0 Then
            btnHraSave.Text = "Update"
            If Page.IsPostBack <> True Then
                BindHraData()
                'Ver4.2 REQ793 start
                'BindLandlordData()
                'Ver4.2 REQ793 end
                Session("HRASelection") = chkValue()

            End If
        Else
            btnHraSave.Text = "Save"
        End If
        'Ver4.2 REQ793 start
        BindLandlordData()
        'Ver4.2 REQ793 end
        'Panel1.Attributes.Add("onload", "javascript:SwitchPanal()")
        'Panel2.Attributes.Add("onload", "javascript:SwitchPanal()")

        If rdAgreement.Checked Then
            Panel1.Enabled = True
            Panel2.Enabled = False
            chkValue()
        End If
    End Sub
    Protected Sub AddJavaScript()
        txtApr.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtMay.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtJun.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtJul.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtAug.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtSep.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtOct.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtNov.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtDec.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtJan.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtFeb.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
        txtMar.Attributes.Add("onkeyup", "javascript:Sum(this.id)")
    End Sub
    Function Data(ByVal strQuery As String) As DataSet
        Dim ds As DataSet = New DataSet()
        Dim da As OleDbDataAdapter = New OleDbDataAdapter(strQuery, strconn)
        da.Fill(ds)
        Return ds
    End Function
    Protected Sub ExicuteDML(ByVal strQuery As String)
        'Ver 3.2-CRK Start
        'Dim con As OleDbConnection = New OleDbConnection(strconn)
        'Dim cmd As OleDbCommand = New OleDbCommand(strQuery, con)
        'con.Open()
        'cmd.ExecuteNonQuery()
        'con.Close()
        General.ExecuteDML(strconn, strQuery)
        'Ver 3.2-CRK End
    End Sub
    Protected Sub btnHraSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnHraSave.Click
        If IsRecordExist("", strEmployeeId.ToString()) > 0 Then
            HraUpdateData()
        Else
            'If rdAgreement.Checked Then
            ExicuteDML("insert into HRA values('" + strEmployeeId.ToString() + "','" + chkValue() + "','01/04/" + strperiod(0) + "','31/03/" + strperiod(1) + "'," + txtAgrTotalRntAmt.Text + "," + txtAgrTotalRntAmt.Text + "," + txtHraTotalRent.Text + "," + chkAgreementProof.Checked.ToString() + "," + chkIsApproved.Checked.ToString() + ",''," + ChkIsProofReject.Checked.ToString() + ",#" + DateTime.Now.ToString() + "#,null,null)")
            SaveMonthsDetails()
            lblMessage.Text = "Details Save Successfully"
            lblMessage.ForeColor = Color.Green

            'End If
            'If rdRentReceipts.Checked Then
            '    ExicuteDML("insert into HRA values('" + strEmployeeId.ToString() + "','" + chkValue() + "','01/04/" + strperiod(0) + "','31/03/" + strperiod(1) + "',null,null," + txtHraTotalRent.Text + "," + txtAgrRntAmt.Text + "," + txtAgrTotalRntAmt.Text + ",null," + chkAgreementProof.Checked.ToString() + "," + chkIsApproved.Checked.ToString() + ",'" + txtAgrReason.Text + "'," + ChkIsProofReject.Checked.ToString() + ")")
            '    SaveMonthsDetails()
            '    lblMessage.Text = "Details Save Succesfully"
            '    lblMessage.ForeColor = Color.Green
            'End If
            'If rdBoth.Checked Then
            '    ExicuteDML("insert into HRA values('" + strEmployeeId.ToString() + "','" + chkValue() + "','01/04/" + strperiod(0) + "','31/03/" + strperiod(1) + "'," + txtAgrRntAmt.Text + "," + txtAgrTotalRntAmt.Text + "," + txtHraTotalRent.Text + "," + txtAgrRntAmt.Text + "," + txtAgrTotalRntAmt.Text + ",null," + chkAgreementProof.Checked.ToString() + "," + chkIsApproved.Checked.ToString() + ",'" + txtAgrReason.Text + "'," + ChkIsProofReject.Checked.ToString() + ")")
            '    SaveMonthsDetails()
            '    lblMessage.Text = "Details Save Succesfully"
            '    lblMessage.ForeColor = Color.Green
            'End If
        End If
        If (rdAgreement.Checked) Then
            UpdateDateTime("hra")
        Else
            UpdateDateTime("RentRecipt")
        End If

    End Sub
    Function IsRecordExist(ByVal categary As String, ByVal EmpCode As String) As Integer
        Dim con As OleDbConnection = New OleDbConnection(strconn)
        Dim cmd As OleDbCommand = New OleDbCommand("select count(*) from hra where EmployeeCode='" + EmpCode + "'", con)
        con.Open()
        Dim rc As Integer
        Try
            rc = CType(cmd.ExecuteScalar(), Integer)
            con.Close()
        Catch ex As Exception
            'ver 3.2-CRK Start
            con.Close()
            'ver 3.2-CRK end
        End Try
        Return rc
    End Function
   
    Private Sub SaveMonthsDetails()
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',4,'" + txtApr.Text + "'," + chkApr.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',5,'" + txtMay.Text + "'," + chkMay.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',6,'" + txtJun.Text + "'," + chkJun.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',7,'" + txtJul.Text + "'," + chkJul.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',8,'" + txtAug.Text + "'," + chkAug.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',9,'" + txtSep.Text + "'," + chkSep.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',10,'" + txtOct.Text + "'," + chkOct.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',11,'" + txtNov.Text + "'," + chkNov.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',12,'" + txtDec.Text + "'," + chkDec.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',1,'" + txtJan.Text + "'," + chkJan.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',2,'" + txtFeb.Text + "'," + chkFeb.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
        ExicuteDML("insert into HraMonthlyValues values('" + Session("EmpId").ToString() + "',3,'" + txtMar.Text + "'," + chkMar.Checked.ToString() + ",0,'',0,#" + DateTime.Now.ToString() + "#,null,null)")
    End Sub
    Function chkValue() As String
        Dim s As String = ""

        If rdAgreement.Checked = True Then
            s = "Agreement"
            Session("HRASelection") = s
        End If
        If rdRentReceipts.Checked = True Then
            s = "Rent Receipts"
            Session("HRASelection") = s
        End If
        'If rdBoth.Checked = True Then
        '    s = "Both"
        'End If
        hdval.Value = s
        Return s
    End Function
    Sub BindHraData()
        Dim hraDS As DataSet = Data("select  Type, AgreementRentAmount, TotalRentForYear, TotalRentReceiptsAmount,AgreementProof,Isproofapproved,Reason,isproofreject from HRA where employeecode='" + strEmployeeId.ToString() + "'")
        BindHraMonths(Data("select * from HraMonthlyValues where employeecode='" + strEmployeeId.ToString() + "' order by monthcode"))
        SwitchRd(hraDS.Tables(0).Rows(0)("Type"))
        txtHraTotalRent.Text = hraDS.Tables(0).Rows(0)("TotalRentReceiptsAmount")
        txtAgrRntAmt.Text = hraDS.Tables(0).Rows(0)("AgreementRentAmount")
        txtAgrTotalRntAmt.Text = hraDS.Tables(0).Rows(0)("TotalRentForYear")
        chkAgreementProof.Checked = CType(hraDS.Tables(0).Rows(0)("AgreementProof"), Boolean)
        chkIsApproved.Checked = CType(hraDS.Tables(0).Rows(0)("Isproofapproved"), Boolean)
        ChkIsProofReject.Checked = CType(hraDS.Tables(0).Rows(0)("isproofreject"), Boolean)
        txtAgrReason.Text = hraDS.Tables(0).Rows(0)("Reason")

    End Sub
    Sub BindHraMonths(ByVal dds As DataSet)
        txtApr.Text = dds.Tables(0).Rows(3)("Amount")
        chkApr.Checked = CType(dds.Tables(0).Rows(3)("hasproof"), Boolean)
        chkApr0.Checked = CType(dds.Tables(0).Rows(3)("Isproofapproved"), Boolean)
        chkApr1.Checked = CType(dds.Tables(0).Rows(3)("isproofreject"), Boolean)
        txtApr0.Text = dds.Tables(0).Rows(3)("Reason")

        txtMay.Text = dds.Tables(0).Rows(4)("Amount")
        chkMay.Checked = CType(dds.Tables(0).Rows(4)("hasproof"), Boolean)
        chkMay0.Checked = CType(dds.Tables(0).Rows(4)("Isproofapproved"), Boolean)
        chkMay1.Checked = CType(dds.Tables(0).Rows(4)("isproofreject"), Boolean)
        txtMay0.Text = dds.Tables(0).Rows(4)("Reason")

        txtJun.Text = dds.Tables(0).Rows(5)("Amount")
        chkJun.Checked = CType(dds.Tables(0).Rows(5)("hasproof"), Boolean)
        chkJun0.Checked = CType(dds.Tables(0).Rows(5)("Isproofapproved"), Boolean)
        chkJun1.Checked = CType(dds.Tables(0).Rows(5)("isproofreject"), Boolean)
        txtJun0.Text = dds.Tables(0).Rows(5)("Reason")

        txtJul.Text = dds.Tables(0).Rows(6)("Amount")
        chkJul.Checked = CType(dds.Tables(0).Rows(6)("hasproof"), Boolean)
        chkJul0.Checked = CType(dds.Tables(0).Rows(6)("Isproofapproved"), Boolean)
        chkJul1.Checked = CType(dds.Tables(0).Rows(6)("isproofreject"), Boolean)
        txtJul0.Text = dds.Tables(0).Rows(6)("Reason")

        txtAug.Text = dds.Tables(0).Rows(7)("Amount")
        chkAug.Checked = CType(dds.Tables(0).Rows(7)("hasproof"), Boolean)
        chkAug0.Checked = CType(dds.Tables(0).Rows(7)("Isproofapproved"), Boolean)
        chkAug1.Checked = CType(dds.Tables(0).Rows(7)("isproofreject"), Boolean)
        txtAug0.Text = dds.Tables(0).Rows(7)("Reason")

        txtSep.Text = dds.Tables(0).Rows(8)("Amount")
        chkSep.Checked = CType(dds.Tables(0).Rows(8)("hasproof"), Boolean)
        chkSep0.Checked = CType(dds.Tables(0).Rows(8)("Isproofapproved"), Boolean)
        chkSep1.Checked = CType(dds.Tables(0).Rows(8)("isproofreject"), Boolean)
        txtSep0.Text = dds.Tables(0).Rows(8)("Reason")

        txtOct.Text = dds.Tables(0).Rows(9)("Amount")
        chkOct.Checked = CType(dds.Tables(0).Rows(9)("hasproof"), Boolean)
        chkOct0.Checked = CType(dds.Tables(0).Rows(9)("Isproofapproved"), Boolean)
        chkOct1.Checked = CType(dds.Tables(0).Rows(9)("isproofreject"), Boolean)
        txtOct0.Text = dds.Tables(0).Rows(9)("Reason")

        txtNov.Text = dds.Tables(0).Rows(10)("Amount")
        chkNov.Checked = CType(dds.Tables(0).Rows(10)("hasproof"), Boolean)
        chkNov0.Checked = CType(dds.Tables(0).Rows(10)("Isproofapproved"), Boolean)
        chkNov1.Checked = CType(dds.Tables(0).Rows(10)("isproofreject"), Boolean)
        txtNov0.Text = dds.Tables(0).Rows(10)("Reason")

        txtDec.Text = dds.Tables(0).Rows(11)("Amount")
        chkDec.Checked = CType(dds.Tables(0).Rows(11)("hasproof"), Boolean)
        chkDec0.Checked = CType(dds.Tables(0).Rows(11)("Isproofapproved"), Boolean)
        chkDec1.Checked = CType(dds.Tables(0).Rows(11)("isproofreject"), Boolean)
        txtDec0.Text = dds.Tables(0).Rows(11)("Reason")

        txtJan.Text = dds.Tables(0).Rows(0)("Amount")
        chkJan.Checked = CType(dds.Tables(0).Rows(0)("hasproof"), Boolean)
        chkJan0.Checked = CType(dds.Tables(0).Rows(0)("Isproofapproved"), Boolean)
        chkJan1.Checked = CType(dds.Tables(0).Rows(0)("isproofreject"), Boolean)
        txtJan0.Text = dds.Tables(0).Rows(0)("Reason")

        txtFeb.Text = dds.Tables(0).Rows(1)("Amount")
        chkFeb.Checked = CType(dds.Tables(0).Rows(1)("hasproof"), Boolean)
        chkFeb0.Checked = CType(dds.Tables(0).Rows(1)("Isproofapproved"), Boolean)
        chkFeb1.Checked = CType(dds.Tables(0).Rows(1)("isproofreject"), Boolean)
        txtFeb0.Text = dds.Tables(0).Rows(1)("Reason")

        txtMar.Text = dds.Tables(0).Rows(2)("Amount")
        chkMar.Checked = CType(dds.Tables(0).Rows(2)("hasproof"), Boolean)
        chkMar0.Checked = CType(dds.Tables(0).Rows(2)("Isproofapproved"), Boolean)
        chkMar1.Checked = CType(dds.Tables(0).Rows(2)("isproofreject"), Boolean)
        txtMar0.Text = dds.Tables(0).Rows(2)("Reason")
        '********************************************************************

    End Sub
    Sub HraUpdateData()
        If Session("EmpId").ToString().Equals("Admin") Then
            ExicuteDML("update hra set Type='" + chkValue() + "', AgreementRentAmount=" + txtAgrRntAmt.Text + ",TotalRentForYear=" + txtAgrTotalRntAmt.Text + ",TotalRentReceiptsAmount=" + txtHraTotalRent.Text + ",AgreementProof=" + chkAgreementProof.Checked.ToString() + ",Isproofapproved=" + chkIsApproved.Checked.ToString() + ",Reason='" + txtAgrReason.Text + "',isproofreject=" + ChkIsProofReject.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtApr.Text + ",HasProof=" + chkApr.Checked.ToString() + ",Isproofapproved=" + chkApr0.Checked.ToString() + ",Reason='" + txtApr0.Text + "',isproofreject=" + chkApr1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=4 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtMay.Text + ",HasProof=" + chkMay.Checked.ToString() + ",Isproofapproved=" + chkMay0.Checked.ToString() + ",Reason='" + txtMay0.Text + "',isproofreject=" + chkMay1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=5 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJun.Text + ",HasProof=" + chkJun.Checked.ToString() + ",Isproofapproved=" + chkJun0.Checked.ToString() + ",Reason='" + txtJun0.Text + "',isproofreject=" + chkJun1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=6 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJul.Text + ",HasProof=" + chkJul.Checked.ToString() + ",Isproofapproved=" + chkJul0.Checked.ToString() + ",Reason='" + txtJul0.Text + "',isproofreject=" + chkJul1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=7 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtAug.Text + ",HasProof=" + chkAug.Checked.ToString() + ",Isproofapproved=" + chkAug0.Checked.ToString() + ",Reason='" + txtAug0.Text + "',isproofreject=" + chkAug1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=8 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtSep.Text + ",HasProof=" + chkSep.Checked.ToString() + ",Isproofapproved=" + chkSep0.Checked.ToString() + ",Reason='" + txtSep0.Text + "',isproofreject=" + chkSep1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=9 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtOct.Text + ",HasProof=" + chkOct.Checked.ToString() + ",Isproofapproved=" + chkOct0.Checked.ToString() + ",Reason='" + txtOct0.Text + "',isproofreject=" + chkOct1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=10 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtNov.Text + ",HasProof=" + chkNov.Checked.ToString() + ",Isproofapproved=" + chkNov0.Checked.ToString() + ",Reason='" + txtNov0.Text + "',isproofreject=" + chkNov1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=11 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtDec.Text + ",HasProof=" + chkDec.Checked.ToString() + ",Isproofapproved=" + chkDec0.Checked.ToString() + ",Reason='" + txtDec0.Text + "',isproofreject=" + chkDec1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=12 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJan.Text + ",HasProof=" + chkJan.Checked.ToString() + ",Isproofapproved=" + chkJan0.Checked.ToString() + ",Reason='" + txtJan0.Text + "',isproofreject=" + chkJan1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=1 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtFeb.Text + ",HasProof=" + chkFeb.Checked.ToString() + ",Isproofapproved=" + chkFeb0.Checked.ToString() + ",Reason='" + txtFeb0.Text + "',isproofreject=" + chkFeb1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=2 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtMar.Text + ",HasProof=" + chkMar.Checked.ToString() + ",Isproofapproved=" + chkMar0.Checked.ToString() + ",Reason='" + txtMar0.Text + "',isproofreject=" + chkMar1.Checked.ToString() + ",AdminUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=3 and EmployeeCode='" + strEmployeeId.ToString() + "'")

        Else

            ExicuteDML("update hra set Type='" + chkValue() + "', AgreementRentAmount=" + txtAgrRntAmt.Text + ",TotalRentForYear=" + txtAgrTotalRntAmt.Text + ",TotalRentReceiptsAmount=" + txtHraTotalRent.Text + ",AgreementProof=" + chkAgreementProof.Checked.ToString() + ",Isproofapproved=" + chkIsApproved.Checked.ToString() + ",Reason='" + txtAgrReason.Text + "',isproofreject=" + ChkIsProofReject.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtApr.Text + ",HasProof=" + chkApr.Checked.ToString() + ",Isproofapproved=" + chkApr0.Checked.ToString() + ",Reason='" + txtApr0.Text + "',isproofreject=" + chkApr1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=4 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtMay.Text + ",HasProof=" + chkMay.Checked.ToString() + ",Isproofapproved=" + chkMay0.Checked.ToString() + ",Reason='" + txtMay0.Text + "',isproofreject=" + chkMay1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=5 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJun.Text + ",HasProof=" + chkJun.Checked.ToString() + ",Isproofapproved=" + chkJun0.Checked.ToString() + ",Reason='" + txtJun0.Text + "',isproofreject=" + chkJun1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=6 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJul.Text + ",HasProof=" + chkJul.Checked.ToString() + ",Isproofapproved=" + chkJul0.Checked.ToString() + ",Reason='" + txtJul0.Text + "',isproofreject=" + chkJul1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=7 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtAug.Text + ",HasProof=" + chkAug.Checked.ToString() + ",Isproofapproved=" + chkAug0.Checked.ToString() + ",Reason='" + txtAug0.Text + "',isproofreject=" + chkAug1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=8 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtSep.Text + ",HasProof=" + chkSep.Checked.ToString() + ",Isproofapproved=" + chkSep0.Checked.ToString() + ",Reason='" + txtSep0.Text + "',isproofreject=" + chkSep1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=9 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtOct.Text + ",HasProof=" + chkOct.Checked.ToString() + ",Isproofapproved=" + chkOct0.Checked.ToString() + ",Reason='" + txtOct0.Text + "',isproofreject=" + chkOct1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=10 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtNov.Text + ",HasProof=" + chkNov.Checked.ToString() + ",Isproofapproved=" + chkNov0.Checked.ToString() + ",Reason='" + txtNov0.Text + "',isproofreject=" + chkNov1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=11 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtDec.Text + ",HasProof=" + chkDec.Checked.ToString() + ",Isproofapproved=" + chkDec0.Checked.ToString() + ",Reason='" + txtDec0.Text + "',isproofreject=" + chkDec1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=12 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtJan.Text + ",HasProof=" + chkJan.Checked.ToString() + ",Isproofapproved=" + chkJan0.Checked.ToString() + ",Reason='" + txtJan0.Text + "',isproofreject=" + chkJan1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=1 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtFeb.Text + ",HasProof=" + chkFeb.Checked.ToString() + ",Isproofapproved=" + chkFeb0.Checked.ToString() + ",Reason='" + txtFeb0.Text + "',isproofreject=" + chkFeb1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=2 and EmployeeCode='" + strEmployeeId.ToString() + "'")
            ExicuteDML("update HraMonthlyValues set Amount=" + txtMar.Text + ",HasProof=" + chkMar.Checked.ToString() + ",Isproofapproved=" + chkMar0.Checked.ToString() + ",Reason='" + txtMar0.Text + "',isproofreject=" + chkMar1.Checked.ToString() + ",EmpUpdate=#" + DateTime.Now.ToString() + "# where MonthCode=3 and EmployeeCode='" + strEmployeeId.ToString() + "'")

        End If
        lblMessage.Text = "Record Update Successfully! "
        lblMessage.ForeColor = Color.Green
        BindHraData()
    End Sub
    Sub SwitchRd(ByVal strtype As String)
        hdval.Value = strtype
        If strtype = "Agreement" Then
            rdAgreement.Checked = True
            rdRentReceipts.Checked = False
            'rdBoth.Checked = False

        End If
        If strtype = "Rent Receipts" Then
            rdRentReceipts.Checked = True
            rdAgreement.Checked = False
            'rdBoth.Checked = False
        End If
        If strtype = "Both" Then
            'rdBoth.Checked = True
            rdRentReceipts.Checked = False
            rdAgreement.Checked = False
        End If
    End Sub
    Sub UpdateDateTime(ByVal category As String)
        'ExicuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + "# where category='" + category + "'")
        'Dim i = ExicuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + "# where category='" + category + "'")
        Dim i = General.ExecuteDML(strconn, "update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + "# where category='" + category + "'")
        If (i = 0) Then
            ExicuteDML("insert into categoryLOG(category) values ('" & category & "')")
            ExicuteDML("update categoryLOG set Lastmodify=#" + DateTime.Now.ToString() + " # where category ='" + category + "'")
        End If
    End Sub
    Sub EnableControl()
        chkApr0.Enabled = True
        chkApr1.Enabled = True
        txtApr0.Enabled = True
        chkMay0.Enabled = True
        chkMay1.Enabled = True
        txtMay0.Enabled = True
        chkJun0.Enabled = True
        chkJun1.Enabled = True
        txtJun0.Enabled = True
        chkJul0.Enabled = True
        chkJul1.Enabled = True
        txtJul0.Enabled = True
        chkAug0.Enabled = True
        chkAug1.Enabled = True
        txtAug0.Enabled = True
        chkSep0.Enabled = True
        chkSep1.Enabled = True
        txtSep0.Enabled = True
        chkOct0.Enabled = True
        chkOct1.Enabled = True
        txtOct0.Enabled = True
        chkNov0.Enabled = True
        chkNov1.Enabled = True
        txtNov0.Enabled = True
        chkDec0.Enabled = True
        chkDec1.Enabled = True
        txtDec0.Enabled = True
        chkJan0.Enabled = True
        chkJan1.Enabled = True
        txtJan0.Enabled = True
        chkFeb0.Enabled = True
        chkFeb1.Enabled = True
        txtFeb0.Enabled = True
        chkMar0.Enabled = True
        chkMar1.Enabled = True
        txtMar0.Enabled = True
        chkApr.Enabled = False
        chkMay.Enabled = False
        chkJun.Enabled = False
        chkJul.Enabled = False
        chkAug.Enabled = False
        chkSep.Enabled = False
        chkOct.Enabled = False
        chkNov.Enabled = False
        chkDec.Enabled = False
        chkJan.Enabled = False
        chkFeb.Enabled = False
        chkMar.Enabled = False
        chkIsApproved.Enabled = True
        ChkIsProofReject.Enabled = True
        txtAgrReason.Enabled = True
        chkAgreementProof.Enabled = False
        rdRentReceipts.Enabled = False
        'rdBoth.Enabled = False
        rdAgreement.Enabled = False
    End Sub
  
    Protected Sub rdAgreement_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdAgreement.CheckedChanged
        Panel1.Enabled = True
        Panel2.Enabled = False
        chkValue()
    End Sub

    Protected Sub rdRentReceipts_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdRentReceipts.CheckedChanged
        Panel1.Enabled = False
        Panel2.Enabled = True
        chkValue()
    End Sub

    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        If btnAdd.Text = "Add" Then
            Try
                If (txtAddress.Text.Length > 255) Then
                    lblMessage.Text = " Address Maximum length is 255 characters"
                    lblMessage.ForeColor = Color.Red
                    Return
                End If
                Dim ds As DataSet = GetLandLordData()
                If (ds.Tables(0).Rows.Count >= 4) Then
                    lblMessage.Text = "Only upto 4 Landord Details can be added"
                    lblMessage.ForeColor = Color.Red
                    Return

                Else


                    ExicuteDML("Insert Into LandLordDetails (EmpCode,Name,Address,PANNumber,EmpInsert) Values ('" & strEmployeeId & "','" & txtName.Text & "','" & txtAddress.Text & "','" & txtPAN.Text.ToString() & "',#" + Date.Now.ToString() + "#)")
                    BindLandlordData()
                    UpdateDateTime("Landlorddetails")
                    lblMessage.Text = "Record added successfully."
                    lblMessage.ForeColor = Color.Green
                    ClearControls()
                End If
            Catch ex As Exception
                lblMessage.Text = "Unable to add the record"
                lblMessage.ForeColor = Color.Red
            End Try



        End If
    End Sub
    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click



        Try
            If (txtAddress.Text.Length > 255) Then
                lblMessage.Text = " Address Maximum length is 255 characters"
                lblMessage.ForeColor = Color.Red
                Return
            Else

                If Session("EmpId").ToString().Equals("Admin") Then
                    ExicuteDML("update LandLordDetails set   Name='" + txtName.Text + "', Address='" + txtAddress.Text + "',PANNumber='" + txtPAN.Text + "',AdminUpdate=#" + DateTime.Now.ToString() + "# where srno=" + hdsrno.Value + " and EmpCode='" + strEmployeeId + "'")
                Else
                    ExicuteDML("update LandLordDetails set  Name='" + txtName.Text + "', Address='" + txtAddress.Text + "',PANNumber='" + txtPAN.Text + "',EmpUpdate=#" + DateTime.Now.ToString() + "# where srno=" + hdsrno.Value + " and EmpCode='" + strEmployeeId + "'")
                    btnAdd.Enabled = True
                End If

                UpdateDateTime("Landlorddetails")
                lblMessage.Text = "Record Updated successfully."
                lblMessage.ForeColor = Color.Green
                btnSave.Enabled = False
                btnDelete.Enabled = False

                ClearControls()
                BindLandlordData()
            End If

        Catch ex As Exception
            lblMessage.Text = "Unable to update the record"
            lblMessage.ForeColor = Color.Red
        End Try
    End Sub
    Protected Sub btnDelete_Click(sender As Object, e As EventArgs) Handles btnDelete.Click
        Try
            ExicuteDML("delete from  LandLordDetails where SrNo=" + hdsrno.Value + " and EmpCode='" + strEmployeeId + "'")
            btnSave.Enabled = False
            btnDelete.Enabled = False
            btnAdd.Enabled = True
            UpdateDateTime("Landlorddetails")
            lblMessage.Text = "Record deleted successfully."
            lblMessage.ForeColor = Color.Green
            ClearControls()
            BindLandlordData()
        Catch ex As Exception
            lblMessage.Text = "Unable to delete the record"
            lblMessage.ForeColor = Color.Red
        End Try
    End Sub
    Sub ClearControls()
        txtName.Text = String.Empty
        txtPAN.Text = String.Empty
        txtAddress.Text = String.Empty



    End Sub
    Sub BindLandlordData()
        Dim ds As DataSet = GetLandLordData()
        GridLanlord.DataSource = ds
        GridLanlord.DataBind()

    End Sub
    Function GetLandLordData() As DataSet

        Dim ds As DataSet = Data("Select * from LandLordDetails where EmpCode ='" & strEmployeeId & "'")
        Return ds

    End Function

    Protected Sub GridLanlord_RowUpdating(sender As Object, e As GridViewUpdateEventArgs) Handles GridLanlord.RowUpdating

    End Sub
    Protected Sub GridLanlord_RowEditing(sender As Object, e As GridViewEditEventArgs) Handles GridLanlord.RowEditing
        Dim lblLandlordName As Label = CType(GridLanlord.Rows(e.NewEditIndex).FindControl("lblLandlordName"), Label)
        Dim lblLandlordAddress As Label = CType(GridLanlord.Rows(e.NewEditIndex).FindControl("lblLandlordAddress"), Label)
        Dim lblPANNumber As Label = CType(GridLanlord.Rows(e.NewEditIndex).FindControl("lblPANNumber"), Label)
        Dim lblSr As Label = CType(GridLanlord.Rows(e.NewEditIndex).FindControl("lblSr"), Label)
        GridLanlord.Rows(e.NewEditIndex).BackColor = Color.Gray
        hdsrno.Value = lblSr.Text
        txtName.Text = lblLandlordName.Text
        txtAddress.Text = lblLandlordAddress.Text
        txtPAN.Text = lblPANNumber.Text
        If Session("EmpId").ToString().Equals("Admin") Then
            btnSave.Enabled = True
        Else
            btnSave.Enabled = True
            btnDelete.Enabled = True
            btnAdd.Enabled = False
        End If


    End Sub
    Protected Sub GridLanlord_RowDeleting(sender As Object, e As GridViewDeleteEventArgs) Handles GridLanlord.RowDeleting

    End Sub
    Protected Sub GridLanlord_RowCancelingEdit(sender As Object, e As GridViewCancelEditEventArgs) Handles GridLanlord.RowCancelingEdit

    End Sub
End Class
